﻿using System.Collections;
using System.Collections.Generic;
using UnityEngine;
using UnityEngine.SceneManagement;

public class BaseSCOption : MonoBehaviour
{
    public GameObject soundoff;
    public GameObject paneloff;
    public GameObject panelon;
    // Start is called before the first frame update
    void Start()
    {
        // Scene読込時は必ずセーブを読み込むようにしておく
        Prm.savedataPatternType = PlayerPrefs.GetInt("panelType", 0);
        Prm.savedataSoundType = PlayerPrefs.GetInt("soundType", 0);

        InitSound();
        InitPanel();
    }


    // Update is called once per frame
    void Update()
    {
        
    }

    public void Exit()
    {
        SceneManager.LoadScene("Menu");
    }
    public void Sound()
    {
        if (Prm.savedataSoundType == 1)
        {
            Prm.savedataSoundType = 0;
        }
        else
        {
            Prm.savedataSoundType = 1;
        }
        PlayerPrefs.SetInt("soundType", Prm.savedataSoundType);
        InitSound();
    }
    public void panel()
    {
        if (Prm.savedataPatternType== 1)
        {
            Prm.savedataPatternType = 0;
        }
        else
        {
            Prm.savedataPatternType = 1;
        }
        PlayerPrefs.SetInt("panelType", Prm.savedataPatternType);
        InitPanel();
    }

    public void InitSound()
    {
        Prm.savedataSoundType = PlayerPrefs.GetInt("soundType", 0);
        if (Prm.savedataSoundType == 1)
        {
            soundoff.SetActive(false);
        }
        else
        {
            soundoff.SetActive(true);
        }
    }
    public void InitPanel()
    {
        Prm.savedataPatternType = PlayerPrefs.GetInt("panelType", 0);
        if (Prm.savedataPatternType == 1)
        {
            paneloff.SetActive(false);
            panelon.SetActive(true);
        }
        else
        {
            paneloff.SetActive(true);
            panelon.SetActive(false);
        }
    }
}
