﻿using System;
using System.Collections;
using System.Collections.Generic;
using UnityEngine;
using UnityEngine.SceneManagement;
using UnityEngine.UI;

public class BaseSCFreeHex : MonoBehaviour
{
    public GameObject playAreaOrigin;
    public GameObject selectedPanelOrigin;
    public GameObject[] selectedPanels;

    private bool startBtnSelect;

    // Start is called before the first frame update
    void Start()
    {
        Prm.soloMode = true;
        this.gameObject.AddComponent<CommonHexSC>();
        // Scene読込時は必ずセーブを読み込むようにしておく
        Prm.savedataPatternType = PlayerPrefs.GetInt("panelType", 0);
        Prm.savedataSoundType = PlayerPrefs.GetInt("soundType", 0);

        Prm.selectFlg = false;
        startBtnSelect = false;
        Prm.selectedList = new Color[0];
        Prm.panelLiveFlg = new bool[4, 3];

        GameObject g = Instantiate(playAreaOrigin);
        g.name = "PlayAreaHex";
        GetComponent<CommonHexSC>().MakeSelectedList(selectedPanels, selectedPanelOrigin);
    }

    // Update is called once per frame
    void Update()
    {
    }
    public void mouseDown()
    {
        Prm.selectFlg = true;
    }
    public void mouseUp()
    {
        Prm.selectFlg = false;
        // playmodeの場合は正誤判定を実施
        CheckAnswer();
    }


    public void CheckAnswer()
    {
        switch (GetComponent<CommonHexSC>().CheckAnswerMain(null))
        {
            case -1:// 誤り 
                // 何もしない
                break;
            case 1:// 完成
                   // 初期化して問題再作成
                GetComponent<CommonHexSC>().MakeAnswerPanel(true);
                GetComponent<CommonHexSC>().MakeSelectListAnime(true);
                GameObject.Find("SelectedList").GetComponent<SelectedListSC>().DestroyAllChilds();
                GameObject g =  Instantiate(playAreaOrigin);
                g.name = "PlayAreaHex";
                GetComponent<CommonHexSC>().MakeSelectedList(selectedPanels, selectedPanelOrigin);

                break;
            case 0:// 未完成の場合
                   // 何もしない
                break;
        }
    }
    public void reset()
    {
        GameObject.Find("SelectedList").GetComponent<SelectedListSC>().DestroyAllChilds();
        GetComponent<CommonHexSC>().MakeSelectedList(selectedPanels, selectedPanelOrigin);
        GameObject.Find("PlayAreaHex").transform.GetComponent<PlayAreaHexSC>().
        panelLiveHexFlg = new bool[][] {
            new bool[3]{true,true,true},
            new bool[4]{true, true, true, true },
            new bool[3]{true,true,true},
            new bool[2]{true,true},
        };
        foreach (Transform n in GameObject.Find("PlayAreaHex").transform.Find("panels").transform)
        {
            Color.RGBToHSV(n.gameObject.transform.GetComponent<Renderer>().material.color, out float H, out float _, out float _);
            n.gameObject.transform.GetComponent<Renderer>().material.color = Color.HSVToRGB(H, 0.70f, 1f);
        }
        GameObject.Find("PlayAreaHex").transform.Find("StartPoint").transform.position = new Vector3(10f, 10f, 0);
        GameObject.Find("PlayAreaHex").transform.GetComponent<LineRenderer>().enabled = false;
        Prm.selectFlg = false;
    }
    public void change()
    {
        GetComponent<CommonHexSC>().MakeAnswerPanel(false);
        GetComponent<CommonHexSC>().MakeSelectListAnime(false);
        GameObject.Find("SelectedList").GetComponent<SelectedListSC>().DestroyAllChilds();
        GameObject g = Instantiate(playAreaOrigin);
        g.name = "PlayAreaHex";
        GetComponent<CommonHexSC>().MakeSelectedList(selectedPanels, selectedPanelOrigin);
    }
    public void btnClick()
    {
        startBtnSelect = true;
    }
    public void Exit()
    {
        Debug.Log("Scene遷移");
        SceneManager.LoadScene("Menu");
    }
}
