﻿using System;
using System.Collections;
using System.Collections.Generic;
using UnityEngine;
using Random = UnityEngine.Random;

public class GingaPatternHex
{
        private static int[] history;
    private readonly static int[,] data =
    {
/*001*/	 {0,1,2,5,4,3,11,6,7,10,8,9},		//A,B,A,C,C,B,B,B,C,D,B,A,
/*002*/	 {0,1,2,5,4,3,11,6,8,10,7,9},		//A,B,A,C,C,B,B,B,B,D,C,A,
/*003*/	 {0,1,2,5,4,3,11,6,9,10,7,8},		//A,B,A,C,C,B,B,B,A,D,C,B,
/*004*/	 {0,1,2,6,5,3,11,7,4,10,8,9},		//A,B,A,B,C,B,B,C,C,D,B,A,
/*005*/	 {0,1,2,6,5,4,3,7,8,9,11,10},		//A,B,A,B,C,C,B,C,B,A,B,D,
/*006*/	 {0,1,2,6,5,4,3,7,8,11,9,10},		//A,B,A,B,C,C,B,C,B,B,A,D,
/*007*/	 {0,1,2,6,5,4,3,7,9,10,8,11},		//A,B,A,B,C,C,B,C,A,D,B,B,
/*008*/	 {0,1,2,6,5,4,3,7,9,11,8,10},		//A,B,A,B,C,C,B,C,A,B,B,D,
/*009*/	 {0,1,2,6,5,4,3,7,10,11,8,9},		//A,B,A,B,C,C,B,C,D,B,B,A,
/*010*/	 {0,1,2,6,5,4,3,7,11,10,8,9},		//A,B,A,B,C,C,B,C,B,D,B,A,
/*011*/	 {0,1,2,7,6,4,3,8,5,11,9,10},		//A,B,A,C,B,C,B,B,C,B,A,D,
/*012*/	 {0,1,2,7,6,5,3,8,9,4,10,11},		//A,B,A,C,B,C,B,B,A,C,D,B,
/*013*/	 {0,1,2,7,6,5,3,8,9,4,11,10},		//A,B,A,C,B,C,B,B,A,C,B,D,
/*014*/	 {0,1,2,7,6,5,3,8,10,4,9,11},		//A,B,A,C,B,C,B,B,D,C,A,B,
/*015*/	 {0,1,2,7,6,5,3,8,11,4,9,10},		//A,B,A,C,B,C,B,B,B,C,A,D,
/*016*/	 {0,1,2,8,7,3,4,9,6,5,10,11},		//A,B,A,B,C,B,C,A,B,C,D,B,
/*017*/	 {0,1,2,8,7,4,3,9,6,5,10,11},		//A,B,A,B,C,C,B,A,B,C,D,B,
/*018*/	// {0,1,2,8,7,5,3,9,6,4,10,11},		//A,B,A,B,C,C,B,A,B,C,D,B,17と同型
/*019*/	 {0,1,2,8,7,6,3,9,5,4,10,11},		//A,B,A,B,C,B,B,A,C,C,D,B,
/*020*/	 {0,1,2,8,9,10,3,7,11,4,6,5},		//A,B,A,B,A,D,B,C,B,C,B,C,
/*021*/	 {0,1,2,8,9,11,3,7,10,4,6,5},		//A,B,A,B,A,B,B,C,D,C,B,C,
/*022*/	 {0,1,2,9,8,3,4,10,7,5,11,6},		//A,B,A,A,B,B,C,D,C,C,B,B,
/*023*/	 {0,1,2,9,8,4,3,10,7,5,11,6},		//A,B,A,A,B,C,B,D,C,C,B,B,
/*024*/	 {0,1,2,9,8,7,3,10,6,4,11,5},		//A,B,A,A,B,C,B,D,B,C,B,C,
/*025*/	 {0,1,2,9,10,3,4,8,11,5,7,6},		//A,B,A,A,D,B,C,B,B,C,C,B,
/*026*/	 {0,1,2,9,10,4,3,8,11,5,7,6},		//A,B,A,A,D,C,B,B,B,C,C,B,
/*027*/	 {0,1,2,9,10,11,3,8,5,4,7,6},		//A,B,A,A,D,B,B,B,C,C,C,B,
/*028*/	 {0,1,2,9,10,11,3,8,6,4,7,5},		//A,B,A,A,D,B,B,B,B,C,C,C,
/*029*/	 {0,1,2,9,10,11,3,8,7,4,6,5},		//A,B,A,A,D,B,B,B,C,C,B,C,
/*030*/	 {0,1,2,10,9,3,4,11,8,5,7,6},		//A,B,A,D,A,B,C,B,B,C,C,B,
/*031*/	 {0,1,2,10,9,4,3,11,8,5,7,6},		//A,B,A,D,A,C,B,B,B,C,C,B,
/*032*/	 {0,1,2,10,9,8,3,11,7,4,6,5},		//A,B,A,D,A,B,B,B,C,C,B,C,
/*033*/	 {0,1,2,10,11,3,4,9,6,5,8,7},		//A,B,A,D,B,B,C,A,B,C,B,C,
/*034*/	 {0,1,2,10,11,3,4,9,7,5,8,6},		//A,B,A,D,B,B,C,A,C,C,B,B,
/*035*/	 {0,1,2,10,11,3,4,9,8,5,7,6},		//A,B,A,D,B,B,C,A,B,C,C,B,
/*036*/	 {0,1,2,10,11,4,3,9,5,6,8,7},		//A,B,A,D,B,C,B,A,C,B,B,C,
/*037*/	 {0,1,2,10,11,4,3,9,6,5,8,7},		//A,B,A,D,B,C,B,A,B,C,B,C,
/*038*/	 {0,1,2,10,11,4,3,9,7,5,8,6},		//A,B,A,D,B,C,B,A,C,C,B,B,
/*039*/	 {0,1,2,10,11,4,3,9,8,5,7,6},		//A,B,A,D,B,C,B,A,B,C,C,B,
/*040*/	// {0,1,2,10,11,5,3,9,6,4,8,7},		//A,B,A,D,B,C,B,A,B,C,B,C,37と同型
/*041*/	 {0,1,2,11,5,4,3,10,6,7,9,8},		//A,B,A,B,C,C,B,D,B,C,A,B,
/*042*/	 {0,1,2,11,6,5,3,10,7,4,9,8},		//A,B,A,B,B,C,B,D,C,C,A,B,
/*043*/	 {0,1,2,11,9,3,4,10,8,5,7,6},		//A,B,A,B,A,B,C,D,B,C,C,B,
/*044*/	 {0,1,2,11,9,4,3,10,8,5,7,6},		//A,B,A,B,A,C,B,D,B,C,C,B,
/*045*/	 {0,1,2,11,9,8,3,10,7,4,6,5},		//A,B,A,B,A,B,B,D,C,C,B,C,
/*046*/	 {0,1,2,11,10,3,4,8,9,5,7,6},		//A,B,A,B,D,B,C,B,A,C,C,B,
/*047*/	 {0,1,2,11,10,3,4,9,6,5,8,7},		//A,B,A,B,D,B,C,A,B,C,B,C,
/*048*/	 {0,1,2,11,10,3,4,9,7,5,8,6},		//A,B,A,B,D,B,C,A,C,C,B,B,
/*049*/	 {0,1,2,11,10,3,4,9,8,5,7,6},		//A,B,A,B,D,B,C,A,B,C,C,B,
/*050*/	 {0,1,2,11,10,4,3,8,9,5,7,6},		//A,B,A,B,D,C,B,B,A,C,C,B,
/*051*/	 {0,1,2,11,10,4,3,9,5,6,8,7},		//A,B,A,B,D,C,B,A,C,B,B,C,
/*052*/	 {0,1,2,11,10,4,3,9,6,5,8,7},		//A,B,A,B,D,C,B,A,B,C,B,C,
/*053*/	 {0,1,2,11,10,4,3,9,7,5,8,6},		//A,B,A,B,D,C,B,A,C,C,B,B,
/*054*/	 {0,1,2,11,10,4,3,9,8,5,7,6},		//A,B,A,B,D,C,B,A,B,C,C,B,
/*055*/	// {0,1,2,11,10,5,3,9,6,4,8,7},		//A,B,A,B,D,C,B,A,B,C,B,C,52と同型
/*056*/	 {0,1,2,11,10,9,3,7,8,4,6,5},		//A,B,A,B,D,A,B,C,B,C,B,C,
/*057*/	 {0,1,3,8,7,2,4,9,6,5,10,11},		//A,B,B,B,C,A,C,A,B,C,D,B,
/*058*/	 {0,1,3,9,8,2,4,10,7,5,11,6},		//A,B,B,A,B,A,C,D,C,C,B,B,
/*059*/	 {0,1,3,9,10,2,4,8,11,5,7,6},		//A,B,B,A,D,A,C,B,B,C,C,B,
/*060*/	 {0,1,3,10,9,2,4,11,8,5,7,6},		//A,B,B,D,A,A,C,B,B,C,C,B,
/*061*/	 {0,1,3,10,11,2,4,9,6,5,8,7},		//A,B,B,D,B,A,C,A,B,C,B,C,
/*062*/	 {0,1,3,10,11,2,4,9,7,5,8,6},		//A,B,B,D,B,A,C,A,C,C,B,B,
/*063*/	 {0,1,3,10,11,2,4,9,8,5,7,6},		//A,B,B,D,B,A,C,A,B,C,C,B,
/*064*/	 {0,1,3,11,9,2,4,10,8,5,7,6},		//A,B,B,B,A,A,C,D,B,C,C,B,
/*065*/	 {0,1,3,11,10,2,4,8,9,5,7,6},		//A,B,B,B,D,A,C,B,A,C,C,B,
/*066*/	 {0,1,3,11,10,2,4,9,6,5,8,7},		//A,B,B,B,D,A,C,A,B,C,B,C,
/*067*/	 {0,1,3,11,10,2,4,9,7,5,8,6},		//A,B,B,B,D,A,C,A,C,C,B,B,
/*068*/	 {0,1,3,11,10,2,4,9,8,5,7,6},		//A,B,B,B,D,A,C,A,B,C,C,B,
/*069*/	 {0,1,4,11,2,3,5,10,7,6,9,8},		//A,B,C,B,A,B,C,D,C,B,A,B,
/*070*/	 {0,1,4,11,2,3,5,10,8,6,9,7},		//A,B,C,B,A,B,C,D,B,B,A,C,
/*071*/	 {0,1,4,11,2,3,5,10,9,6,8,7},		//A,B,C,B,A,B,C,D,A,B,B,C,
/*072*/	 {0,1,5,11,2,4,6,10,3,7,9,8},		//A,B,C,B,A,C,B,D,B,C,A,B,
/*073*/	 {0,1,7,3,2,6,8,4,5,9,11,10},		//A,B,C,B,A,B,B,C,C,A,B,D,
/*074*/	 {0,1,8,3,2,7,9,4,6,10,5,11},		//A,B,B,B,A,C,A,C,B,D,C,B,
/*075*/	 {0,1,9,3,2,8,10,4,7,11,5,6},		//A,B,A,B,A,B,D,C,C,B,C,B,
/*076*/	 {0,1,9,3,2,10,8,4,11,7,5,6},		//A,B,A,B,A,D,B,C,B,C,C,B,
/*077*/	 {0,1,10,3,2,9,11,4,5,8,6,7},		//A,B,D,B,A,A,B,C,C,B,B,C,
/*078*/	 {0,1,10,3,2,9,11,4,6,8,5,7},		//A,B,D,B,A,A,B,C,B,B,C,C,
/*079*/	 {0,1,10,3,2,9,11,4,7,8,5,6},		//A,B,D,B,A,A,B,C,C,B,C,B,
/*080*/	 {0,1,10,3,2,9,11,4,8,7,5,6},		//A,B,D,B,A,A,B,C,B,C,C,B,
/*081*/	 {0,1,10,3,2,11,9,4,5,8,6,7},		//A,B,D,B,A,B,A,C,C,B,B,C,
/*082*/	 {0,1,10,3,2,11,9,4,6,8,5,7},		//A,B,D,B,A,B,A,C,B,B,C,C,
/*083*/	 {0,1,10,3,2,11,9,4,7,8,5,6},		//A,B,D,B,A,B,A,C,C,B,C,B,
/*084*/	 {0,1,11,3,2,8,10,4,7,9,5,6},		//A,B,B,B,A,B,D,C,C,A,C,B,
/*085*/	 {0,1,11,3,2,9,10,4,5,8,6,7},		//A,B,B,B,A,A,D,C,C,B,B,C,
/*086*/	 {0,1,11,3,2,9,10,4,6,8,5,7},		//A,B,B,B,A,A,D,C,B,B,C,C,
/*087*/	 {0,1,11,3,2,9,10,4,7,8,5,6},		//A,B,B,B,A,A,D,C,C,B,C,B,
/*088*/	 {0,1,11,3,2,9,10,4,8,7,5,6},		//A,B,B,B,A,A,D,C,B,C,C,B,
/*089*/	 {0,1,11,3,2,10,9,4,5,8,6,7},		//A,B,B,B,A,D,A,C,C,B,B,C,
/*090*/	 {0,1,11,3,2,10,9,4,6,8,5,7},		//A,B,B,B,A,D,A,C,B,B,C,C,
/*091*/	 {0,1,11,3,2,10,9,4,7,8,5,6},		//A,B,B,B,A,D,A,C,C,B,C,B,
/*092*/	 {0,1,11,4,3,2,10,5,6,9,7,8},		//A,B,B,C,B,A,D,C,B,A,C,B,
/*093*/	 {0,1,11,4,3,2,10,5,7,9,6,8},		//A,B,B,C,B,A,D,C,C,A,B,B,
/*094*/	 {0,1,11,4,3,2,10,5,8,9,6,7},		//A,B,B,C,B,A,D,C,B,A,B,C,
/*095*/	 {0,1,11,5,4,2,10,6,3,9,7,8},		//A,B,B,C,C,A,D,B,B,A,C,B,
/*096*/	 {0,2,3,11,1,4,5,10,7,6,9,8},		//A,A,B,B,B,C,C,D,C,B,A,B,
/*097*/	 {0,2,3,11,1,4,5,10,8,6,9,7},		//A,A,B,B,B,C,C,D,B,B,A,C,
/*098*/	 {0,2,3,11,1,4,5,10,9,6,8,7},		//A,A,B,B,B,C,C,D,A,B,B,C,
/*099*/	 {0,2,3,11,1,5,4,10,6,7,9,8},		//A,A,B,B,B,C,C,D,B,C,A,B,
/*100*/	// {0,2,3,11,1,5,4,10,7,6,9,8},		//A,A,B,B,B,C,C,D,C,B,A,B,96と同型
/*101*/	// {0,2,3,11,1,5,4,10,8,6,9,7},		//A,A,B,B,B,C,C,D,B,B,A,C,97と同型
/*102*/	// {0,2,3,11,1,5,4,10,9,6,8,7},		//A,A,B,B,B,C,C,D,A,B,B,C,98と同型
/*103*/	 {0,2,3,11,1,6,4,10,7,5,9,8},		//A,A,B,B,B,B,C,D,C,C,A,B,
/*104*/	 {0,2,4,11,1,3,5,10,7,6,9,8},		//A,A,C,B,B,B,C,D,C,B,A,B,
/*105*/	 {0,2,4,11,1,3,5,10,8,6,9,7},		//A,A,C,B,B,B,C,D,B,B,A,C,
/*106*/	 {0,2,4,11,1,3,5,10,9,6,8,7},		//A,A,C,B,B,B,C,D,A,B,B,C,
/*107*/	 {0,3,4,1,2,5,6,9,8,7,10,11},		//A,B,C,B,A,C,B,A,B,C,D,B,
/*108*/	 {0,3,4,1,2,5,6,10,9,7,11,8},		//A,B,C,B,A,C,B,D,A,C,B,B,
/*109*/	// {0,3,4,1,2,5,6,10,11,7,9,8},		//A,B,C,B,A,C,B,D,B,C,A,B,72と同型
/*110*/	 {0,3,4,1,2,5,6,11,8,7,10,9},		//A,B,C,B,A,C,B,B,B,C,D,A,
/*111*/	 {0,3,4,1,2,5,6,11,9,7,10,8},		//A,B,C,B,A,C,B,B,A,C,D,B,
/*112*/	 {0,3,4,1,2,5,6,11,10,7,9,8},		//A,B,C,B,A,C,B,B,D,C,A,B,
/*113*/	 {0,3,4,1,2,5,11,7,6,10,8,9},		//A,B,C,B,A,C,B,C,B,D,B,A,
/*114*/	 {0,3,4,1,2,6,5,8,7,11,9,10},		//A,B,C,B,A,B,C,B,C,B,A,D,
/*115*/	 {0,3,4,1,2,6,5,9,8,7,10,11},		//A,B,C,B,A,B,C,A,B,C,D,B,
/*116*/	 {0,3,4,1,2,6,5,10,9,7,11,8},		//A,B,C,B,A,B,C,D,A,C,B,B,
/*117*/	 {0,3,4,1,2,6,5,10,11,7,9,8},		//A,B,C,B,A,B,C,D,B,C,A,B,
/*118*/	 {0,3,4,1,2,6,5,11,7,8,10,9},		//A,B,C,B,A,B,C,B,C,B,D,A,
/*119*/	 {0,3,4,1,2,6,5,11,8,7,10,9},		//A,B,C,B,A,B,C,B,B,C,D,A,
/*120*/	 {0,3,4,1,2,6,5,11,9,7,10,8},		//A,B,C,B,A,B,C,B,A,C,D,B,
/*121*/	 {0,3,4,1,2,6,5,11,10,7,9,8},		//A,B,C,B,A,B,C,B,D,C,A,B,
/*122*/	 {0,3,4,1,2,7,5,9,8,6,10,11},		//A,B,C,B,A,C,C,A,B,B,D,B,
/*123*/	 {0,3,4,1,2,7,5,11,8,6,10,9},		//A,B,C,B,A,C,C,B,B,B,D,A,
/*124*/	 {0,3,4,1,2,11,5,9,10,6,8,7},		//A,B,C,B,A,B,C,A,D,B,B,C,
/*125*/	 {0,3,4,11,1,2,5,10,7,6,9,8},		//A,B,C,B,B,A,C,D,C,B,A,B,
/*126*/	 {0,3,4,11,1,2,5,10,8,6,9,7},		//A,B,C,B,B,A,C,D,B,B,A,C,
/*127*/	 {0,3,4,11,1,2,5,10,9,6,8,7},		//A,B,C,B,B,A,C,D,A,B,B,C,
/*128*/	// {0,3,5,1,2,4,6,9,8,7,10,11},		//A,B,C,B,A,C,B,A,B,C,D,B,107と同型
/*129*/	// {0,3,5,1,2,4,6,10,9,7,11,8},		//A,B,C,B,A,C,B,D,A,C,B,B,108と同型
/*130*/	// {0,3,5,1,2,4,6,10,11,7,9,8},		//A,B,C,B,A,C,B,D,B,C,A,B,72と同型
/*131*/	// {0,3,5,1,2,4,6,11,8,7,10,9},		//A,B,C,B,A,C,B,B,B,C,D,A,110と同型
/*132*/	// {0,3,5,1,2,4,6,11,9,7,10,8},		//A,B,C,B,A,C,B,B,A,C,D,B,111と同型
/*133*/	// {0,3,5,1,2,4,6,11,10,7,9,8},		//A,B,C,B,A,C,B,B,D,C,A,B,112と同型
/*134*/	 {0,3,11,1,2,4,10,6,5,9,7,8},		//A,B,B,B,A,C,D,B,C,A,C,B,
/*135*/	 {0,4,5,1,2,3,6,9,8,7,10,11},		//A,C,C,B,A,B,B,A,B,C,D,B,
/*136*/	 {0,4,5,1,2,3,6,10,9,7,11,8},		//A,C,C,B,A,B,B,D,A,C,B,B,
/*137*/	 {0,4,5,1,2,3,6,10,11,7,9,8},		//A,C,C,B,A,B,B,D,B,C,A,B,
/*138*/	 {0,4,5,1,2,3,6,11,8,7,10,9},		//A,C,C,B,A,B,B,B,B,C,D,A,
/*139*/	 {0,4,5,1,2,3,6,11,9,7,10,8},		//A,C,C,B,A,B,B,B,A,C,D,B,
/*140*/	 {0,4,5,1,2,3,6,11,10,7,9,8},		//A,C,C,B,A,B,B,B,D,C,A,B,
/*141*/	 {0,4,5,1,3,6,7,2,9,8,10,11},		//A,C,C,B,B,B,C,A,A,B,D,B,
/*142*/	 {0,4,5,1,3,6,7,2,9,8,11,10},		//A,C,C,B,B,B,C,A,A,B,B,D,
/*143*/	 {0,4,5,1,3,6,7,2,10,8,11,9},		//A,C,C,B,B,B,C,A,D,B,B,A,
/*144*/	 {0,4,5,1,3,6,7,2,11,8,10,9},		//A,C,C,B,B,B,C,A,B,B,D,A,
/*145*/	 {0,4,5,1,3,6,11,2,7,10,8,9},		//A,C,C,B,B,B,B,A,C,D,B,A,
/*146*/	 {0,4,5,1,3,7,6,2,8,9,11,10},		//A,C,C,B,B,C,B,A,B,A,B,D,
/*147*/	 {0,4,5,1,3,7,6,2,8,11,9,10},		//A,C,C,B,B,C,B,A,B,B,A,D,
/*148*/	 {0,4,5,1,3,7,6,2,9,8,10,11},		//A,C,C,B,B,C,B,A,A,B,D,B,
/*149*/	 {0,4,5,1,3,7,6,2,9,8,11,10},		//A,C,C,B,B,C,B,A,A,B,B,D,
/*150*/	 {0,4,5,1,3,7,6,2,10,8,11,9},		//A,C,C,B,B,C,B,A,D,B,B,A,
/*151*/	 {0,4,5,1,3,7,6,2,11,8,10,9},		//A,C,C,B,B,C,B,A,B,B,D,A,
/*152*/	 {0,4,5,1,3,8,6,2,9,7,10,11},		//A,C,C,B,B,B,B,A,A,C,D,B,
/*153*/	 {0,4,5,1,3,8,6,2,9,7,11,10},		//A,C,C,B,B,B,B,A,A,C,B,D,
/*154*/	 {0,4,5,1,3,11,6,2,10,7,9,8},		//A,C,C,B,B,B,B,A,D,C,A,B,
/*155*/	 {0,4,5,11,1,3,6,10,2,7,9,8},		//A,C,C,B,B,B,B,D,A,C,A,B,
/*156*/	 {0,4,6,1,3,5,7,2,9,8,10,11},		//A,C,B,B,B,C,C,A,A,B,D,B,
/*157*/	 {0,4,6,1,3,5,7,2,9,8,11,10},		//A,C,B,B,B,C,C,A,A,B,B,D,
/*158*/	 {0,4,6,1,3,5,7,2,10,8,11,9},		//A,C,B,B,B,C,C,A,D,B,B,A,
/*159*/	 {0,4,6,1,3,5,7,2,11,8,10,9},		//A,C,B,B,B,C,C,A,B,B,D,A,
/*160*/	 {0,4,11,1,3,5,10,2,6,9,7,8},		//A,C,B,B,B,C,D,A,B,A,C,B,
/*161*/	 {0,5,6,1,2,4,7,11,3,8,10,9},		//A,C,B,B,A,C,C,B,B,B,D,A,
/*162*/	// {0,5,6,1,3,4,7,2,9,8,10,11},		//A,C,B,B,B,C,C,A,A,B,D,B,156と同型
/*163*/	// {0,5,6,1,3,4,7,2,9,8,11,10},		//A,C,B,B,B,C,C,A,A,B,B,D,157と同型
/*164*/	// {0,5,6,1,3,4,7,2,10,8,11,9},		//A,C,B,B,B,C,C,A,D,B,B,A,158と同型
/*165*/	// {0,5,6,1,3,4,7,2,11,8,10,9},		//A,C,B,B,B,C,C,A,B,B,D,A,159と同型
/*166*/	 {0,5,6,1,4,7,8,2,3,9,11,10},		//A,C,B,B,C,C,B,A,B,A,B,D,
/*167*/	 {0,5,6,1,4,8,7,2,3,9,11,10},		//A,C,B,B,C,B,C,A,B,A,B,D,
/*168*/	 {0,5,7,1,4,6,8,2,3,9,11,10},		//A,C,C,B,C,B,B,A,B,A,B,D,
/*169*/	 {0,6,7,1,2,5,8,3,4,9,11,10},		//A,B,C,B,A,C,B,B,C,A,B,D,
/*170*/	 {0,6,7,1,3,5,8,2,4,9,11,10},		//A,B,C,B,B,C,B,A,C,A,B,D,
/*171*/	 {0,6,7,1,4,5,8,2,3,9,11,10},		//A,B,C,B,C,C,B,A,B,A,B,D,
/*172*/	// {0,6,7,1,5,4,8,2,3,9,11,10},		//A,B,C,B,C,C,B,A,B,A,B,D,171と同型
/*173*/	 {0,6,7,1,5,8,9,2,4,10,3,11},		//A,B,C,B,C,B,A,A,C,D,B,B,
/*174*/	 {0,6,7,1,5,9,8,2,4,10,3,11},		//A,B,C,B,C,A,B,A,C,D,B,B,
/*175*/	 {0,6,7,2,1,5,8,3,4,9,11,10},		//A,B,C,A,B,C,B,B,C,A,B,D,
/*176*/	 {0,6,8,1,5,7,9,2,4,10,3,11},		//A,B,B,B,C,C,A,A,C,D,B,B,
/*177*/	 {0,7,8,1,2,6,9,3,5,10,4,11},		//A,C,B,B,A,B,A,B,C,D,C,B,
/*178*/	 {0,7,8,1,5,6,9,2,4,10,3,11},		//A,C,B,B,C,B,A,A,C,D,B,B,
/*179*/	 {0,7,8,1,6,5,9,2,4,10,3,11},		//A,C,B,B,B,C,A,A,C,D,B,B,
/*180*/	 {0,7,8,1,6,9,10,2,5,11,3,4},		//A,C,B,B,B,A,D,A,C,B,B,C,
/*181*/	 {0,7,8,1,6,9,11,2,5,10,3,4},		//A,C,B,B,B,A,B,A,C,D,B,C,
/*182*/	 {0,7,8,1,6,10,9,2,5,11,3,4},		//A,C,B,B,B,D,A,A,C,B,B,C,
/*183*/	 {0,7,8,1,6,11,9,2,5,10,3,4},		//A,C,B,B,B,B,A,A,C,D,B,C,
/*184*/	 {0,7,8,2,1,6,9,3,5,10,4,11},		//A,C,B,A,B,B,A,B,C,D,C,B,
/*185*/	 {0,7,9,1,6,8,10,2,5,11,3,4},		//A,C,A,B,B,B,D,A,C,B,B,C,
/*186*/	 {0,7,11,1,6,8,10,2,5,9,3,4},		//A,C,B,B,B,B,D,A,C,A,B,C,
/*187*/	 {0,8,7,1,9,10,6,2,11,5,3,4},		//A,B,C,B,A,D,B,A,B,C,B,C,
/*188*/	 {0,8,7,1,9,11,6,2,10,5,3,4},		//A,B,C,B,A,B,B,A,D,C,B,C,
/*189*/	 {0,8,7,1,10,9,6,2,11,5,3,4},		//A,B,C,B,D,A,B,A,B,C,B,C,
/*190*/	 {0,8,7,1,11,9,6,2,10,5,3,4},		//A,B,C,B,B,A,B,A,D,C,B,C,
/*191*/	 {0,8,9,1,2,7,10,3,6,11,4,5},		//A,B,A,B,A,C,D,B,B,B,C,C,
/*192*/	 {0,8,9,1,6,7,10,2,5,11,3,4},		//A,B,A,B,B,C,D,A,C,B,B,C,
/*193*/	 {0,8,9,1,7,6,10,2,5,11,3,4},		//A,B,A,B,C,B,D,A,C,B,B,C,
/*194*/	 {0,8,9,1,7,10,11,2,6,5,3,4},		//A,B,A,B,C,D,B,A,B,C,B,C,
/*195*/	 {0,8,9,1,7,11,10,2,6,5,3,4},		//A,B,A,B,C,B,D,A,B,C,B,C,
/*196*/	 {0,8,9,2,1,7,10,3,6,11,4,5},		//A,B,A,A,B,C,D,B,B,B,C,C,
/*197*/	 {0,8,10,1,7,9,11,2,6,5,3,4},		//A,B,D,B,C,A,B,A,B,C,B,C,
/*198*/	 {0,8,11,1,7,9,10,2,6,5,3,4},		//A,B,B,B,C,A,D,A,B,C,B,C,
/*199*/	 {0,9,7,1,10,8,6,2,11,5,3,4},		//A,A,C,B,D,B,B,A,B,C,B,C,
/*200*/	 {0,9,8,1,2,10,7,3,11,6,4,5},		//A,A,B,B,A,D,C,B,B,B,C,C,
/*201*/	 {0,9,8,1,10,6,7,2,11,5,3,4},		//A,A,B,B,D,B,C,A,B,C,B,C,
/*202*/	 {0,9,8,1,10,7,6,2,11,5,3,4},		//A,A,B,B,D,C,B,A,B,C,B,C,
/*203*/	 {0,9,8,1,10,11,7,2,3,6,4,5},		//A,A,B,B,D,B,C,A,B,B,C,C,
/*204*/	//  {0,9,8,1,10,11,7,2,4,6,3,5},	//A,A,B,B,D,B,C,A,C,B,B,C, 21と同型
/*205*/	// {0,9,8,1,10,11,7,2,5,6,3,4},		//A,A,B,B,D,B,C,A,C,B,B,C,204と同型
/*206*/	 {0,9,8,1,11,10,7,2,3,6,4,5},		//A,A,B,B,B,D,C,A,B,B,C,C,
/*207*/	//  {0,9,8,1,11,10,7,2,4,6,3,5},	//A,A,B,B,B,D,C,A,C,B,B,C, 20と同型
/*208*/	// {0,9,8,1,11,10,7,2,5,6,3,4},		//A,A,B,B,B,D,C,A,C,B,B,C,207と同型
/*209*/	 {0,9,8,2,1,10,7,3,11,6,4,5},		//A,A,B,A,B,D,C,B,B,B,C,C,
/*210*/	 {0,9,10,1,2,8,11,3,4,7,5,6},		//A,A,D,B,A,B,B,B,C,C,C,B,
/*211*/	// {0,9,10,1,2,8,11,3,5,7,4,6},		//A,A,D,B,A,B,B,B,C,C,C,B,210と同型
/*212*/	 {0,9,10,1,2,8,11,3,6,7,4,5},		//A,A,D,B,A,B,B,B,B,C,C,C,
/*213*/	 {0,9,10,1,2,8,11,3,7,6,4,5},		//A,A,D,B,A,B,B,B,C,B,C,C,
/*214*/	 {0,9,10,1,2,8,11,4,3,7,5,6},		//A,A,D,B,A,B,B,C,B,C,C,B,
/*215*/	 {0,9,10,1,3,8,11,2,4,7,5,6},		//A,A,D,B,B,B,B,A,C,C,C,B,
/*216*/	 {0,9,10,1,7,8,11,2,6,5,3,4},		//A,A,D,B,C,B,B,A,B,C,B,C,
/*217*/	 {0,9,10,1,8,6,11,2,7,5,3,4},		//A,A,D,B,B,B,B,A,C,C,B,C,
/*218*/	 {0,9,10,1,8,7,11,2,3,6,4,5},		//A,A,D,B,B,C,B,A,B,B,C,C,
/*219*/	 {0,9,10,1,8,7,11,2,4,6,3,5},		//A,A,D,B,B,C,B,A,C,B,B,C,
/*220*/	// {0,9,10,1,8,7,11,2,5,6,3,4},		//A,A,D,B,B,C,B,A,C,B,B,C,219と同型
/*221*/	 {0,9,10,1,8,7,11,2,6,5,3,4},		//A,A,D,B,B,C,B,A,B,C,B,C,
/*222*/	 {0,9,10,2,1,8,11,3,4,7,5,6},		//A,A,D,A,B,B,B,B,C,C,C,B,
/*223*/	// {0,9,10,2,1,8,11,3,5,7,4,6},		//A,A,D,A,B,B,B,B,C,C,C,B,222と同型
/*224*/	 {0,9,10,2,1,8,11,3,6,7,4,5},		//A,A,D,A,B,B,B,B,B,C,C,C,
/*225*/	 {0,9,10,2,1,8,11,3,7,6,4,5},		//A,A,D,A,B,B,B,B,C,B,C,C,
/*226*/	 {0,10,8,1,11,9,7,2,3,6,4,5},		//A,D,B,B,B,A,C,A,B,B,C,C,
/*227*/	 {0,10,8,1,11,9,7,2,4,6,3,5},		//A,D,B,B,B,A,C,A,C,B,B,C,
/*228*/	// {0,10,8,1,11,9,7,2,5,6,3,4},		//A,D,B,B,B,A,C,A,C,B,B,C,227と同型
/*229*/	 {0,10,9,1,2,11,8,3,4,7,5,6},		//A,D,A,B,A,B,B,B,C,C,C,B,
/*230*/	// {0,10,9,1,2,11,8,3,5,7,4,6},		//A,D,A,B,A,B,B,B,C,C,C,B,229と同型
/*231*/	 {0,10,9,1,2,11,8,3,6,7,4,5},		//A,D,A,B,A,B,B,B,B,C,C,C,
/*232*/	 {0,10,9,1,2,11,8,4,3,7,5,6},		//A,D,A,B,A,B,B,C,B,C,C,B,
/*233*/	 {0,10,9,1,3,11,8,2,4,7,5,6},		//A,D,A,B,B,B,B,A,C,C,C,B,
/*234*/	 {0,10,9,1,11,6,8,2,5,7,3,4},		//A,D,A,B,B,B,B,A,C,C,B,C,
/*235*/	 {0,10,9,1,11,7,8,2,3,6,4,5},		//A,D,A,B,B,C,B,A,B,B,C,C,
/*236*/	 {0,10,9,1,11,7,8,2,4,6,3,5},		//A,D,A,B,B,C,B,A,C,B,B,C,
/*237*/	// {0,10,9,1,11,7,8,2,5,6,3,4},		//A,D,A,B,B,C,B,A,C,B,B,C,236と同型
/*238*/	 {0,10,9,1,11,7,8,2,6,5,3,4},		//A,D,A,B,B,C,B,A,B,C,B,C,
/*239*/	 {0,10,9,1,11,8,7,2,3,6,4,5},		//A,D,A,B,B,B,C,A,B,B,C,C,
/*240*/	 {0,10,9,1,11,8,7,2,4,6,3,5},		//A,D,A,B,B,B,C,A,C,B,B,C,
/*241*/	// {0,10,9,1,11,8,7,2,5,6,3,4},		//A,D,A,B,B,B,C,A,C,B,B,C,240と同型
/*242*/	 {0,10,9,2,1,11,8,3,4,7,5,6},		//A,D,A,A,B,B,B,B,C,C,C,B,
/*243*/	// {0,10,9,2,1,11,8,3,5,7,4,6},		//A,D,A,A,B,B,B,B,C,C,C,B,242と同型
/*244*/	 {0,10,9,2,1,11,8,3,6,7,4,5},		//A,D,A,A,B,B,B,B,B,C,C,C,
/*245*/	 {0,10,11,1,2,9,8,3,4,7,5,6},		//A,D,B,B,A,A,B,B,C,C,C,B,
/*246*/	// {0,10,11,1,2,9,8,3,5,7,4,6},		//A,D,B,B,A,A,B,B,C,C,C,B,245と同型
/*247*/	 {0,10,11,1,2,9,8,3,6,7,4,5},		//A,D,B,B,A,A,B,B,B,C,C,C,
/*248*/	 {0,10,11,1,2,9,8,4,3,7,5,6},		//A,D,B,B,A,A,B,C,B,C,C,B,
/*249*/	 {0,10,11,1,3,9,8,2,4,7,5,6},		//A,D,B,B,B,A,B,A,C,C,C,B,
/*250*/	 {0,10,11,1,9,7,6,2,8,5,3,4},		//A,D,B,B,A,C,B,A,B,C,B,C,
/*251*/	 {0,10,11,1,9,8,7,2,3,6,4,5},		//A,D,B,B,A,B,C,A,B,B,C,C,
/*252*/	 {0,10,11,1,9,8,7,2,4,6,3,5},		//A,D,B,B,A,B,C,A,C,B,B,C,
/*253*/	// {0,10,11,1,9,8,7,2,5,6,3,4},		//A,D,B,B,A,B,C,A,C,B,B,C,252と同型
/*254*/	 {0,10,11,2,1,9,8,3,4,7,5,6},		//A,D,B,A,B,A,B,B,C,C,C,B,
/*255*/	// {0,10,11,2,1,9,8,3,5,7,4,6},		//A,D,B,A,B,A,B,B,C,C,C,B,254と同型
/*256*/	 {0,10,11,2,1,9,8,3,6,7,4,5},		//A,D,B,A,B,A,B,B,B,C,C,C,
/*257*/	 {0,11,7,1,10,8,6,2,9,5,3,4},		//A,B,C,B,D,B,B,A,A,C,B,C,
/*258*/	 {0,11,8,1,10,9,7,2,3,6,4,5},		//A,B,B,B,D,A,C,A,B,B,C,C,
/*259*/	 {0,11,8,1,10,9,7,2,4,6,3,5},		//A,B,B,B,D,A,C,A,C,B,B,C,
/*260*/	// {0,11,8,1,10,9,7,2,5,6,3,4},		//A,B,B,B,D,A,C,A,C,B,B,C,259と同型
/*261*/	 {0,11,9,1,2,10,8,3,4,7,5,6},		//A,B,A,B,A,D,B,B,C,C,C,B,
/*262*/	// {0,11,9,1,2,10,8,3,5,7,4,6},		//A,B,A,B,A,D,B,B,C,C,C,B,261と同型
/*263*/	 {0,11,9,1,2,10,8,3,6,7,4,5},		//A,B,A,B,A,D,B,B,B,C,C,C,
/*264*/	// {0,11,9,1,2,10,8,4,3,7,5,6},		//A,B,A,B,A,D,B,C,B,C,C,B,76と同型
/*265*/	 {0,11,9,1,3,10,8,2,4,7,5,6},		//A,B,A,B,B,D,B,A,C,C,C,B,
/*266*/	//  {0,11,9,2,1,10,8,3,4,7,5,6},	//10,B,A,A,B,D,B,B,C,C,C,B, 124と同型
/*267*/	// {0,11,9,2,1,10,8,3,5,7,4,6},		//A,B,A,A,B,D,B,B,C,C,C,B,266と同型
/*268*/	//  {0,11,9,2,1,10,8,3,6,7,4,5},	//10,B,A,A,B,D,B,B,B,C,C,C, 209と同型
/*269*/	// {0,11,10,1,2,3,9,5,4,8,6,7},		//A,B,D,B,A,B,A,C,C,B,B,C,81と同型
/*270*/	 {0,11,10,1,2,7,9,3,6,8,4,5},		//A,B,D,B,A,C,A,B,B,B,C,C,
/*271*/	 {0,11,10,1,2,8,9,3,4,7,5,6},		//A,B,D,B,A,B,A,B,C,C,C,B,
/*272*/	// {0,11,10,1,2,8,9,3,5,7,4,6},		//A,B,D,B,A,B,A,B,C,C,C,B,271と同型
/*273*/	 {0,11,10,1,2,8,9,3,6,7,4,5},		//A,B,D,B,A,B,A,B,B,C,C,C,
/*274*/	 {0,11,10,1,2,8,9,3,7,6,4,5},		//A,B,D,B,A,B,A,B,C,B,C,C,
/*275*/	 {0,11,10,1,2,8,9,4,3,7,5,6},		//A,B,D,B,A,B,A,C,B,C,C,B,
/*276*/	 {0,11,10,1,2,9,8,3,4,7,5,6},		//A,B,D,B,A,A,B,B,C,C,C,B,
/*277*/	// {0,11,10,1,2,9,8,3,5,7,4,6},		//A,B,D,B,A,A,B,B,C,C,C,B,276と同型
/*278*/	 {0,11,10,1,2,9,8,3,6,7,4,5},		//A,B,D,B,A,A,B,B,B,C,C,C,
/*279*/	// {0,11,10,1,2,9,8,4,3,7,5,6},		//A,B,D,B,A,A,B,C,B,C,C,B,80と同型
/*280*/	 {0,11,10,1,3,4,9,2,5,8,6,7},		//A,B,D,B,B,C,A,A,C,B,B,C,
/*281*/	 {0,11,10,1,3,8,9,2,4,7,5,6},		//A,B,D,B,B,B,A,A,C,C,C,B,
/*282*/	 {0,11,10,1,3,9,8,2,4,7,5,6},		//A,B,D,B,B,A,B,A,C,C,C,B,
/*283*/	// {0,11,10,1,6,7,9,2,5,8,3,4},		//A,B,D,B,B,C,A,A,C,B,B,C,280と同型
/*284*/	 {0,11,10,1,7,8,9,2,6,5,3,4},		//A,B,D,B,C,B,A,A,B,C,B,C,
/*285*/	 {0,11,10,2,1,7,9,3,6,8,4,5},		//A,B,D,A,B,C,A,B,B,B,C,C,
/*286*/	 {0,11,10,2,1,8,9,3,4,7,5,6},		//A,B,D,A,B,B,A,B,C,C,C,B,
/*287*/	// {0,11,10,2,1,8,9,3,5,7,4,6},		//A,B,D,A,B,B,A,B,C,C,C,B,286と同型
/*288*/	 {0,11,10,2,1,8,9,3,6,7,4,5},		//A,B,D,A,B,B,A,B,B,C,C,C,
/*289*/	 {0,11,10,2,1,8,9,3,7,6,4,5},		//A,B,D,A,B,B,A,B,C,B,C,C,
/*290*/	 {0,11,10,2,1,9,8,3,4,7,5,6},		//A,B,D,A,B,A,B,B,C,C,C,B,
/*291*/	// {0,11,10,2,1,9,8,3,5,7,4,6},		//A,B,D,A,B,A,B,B,C,C,C,B,290と同型
/*292*/	 {0,11,10,2,1,9,8,3,6,7,4,5},		//A,B,D,A,B,A,B,B,B,C,C,C,
/*293*/	 {1,0,4,11,2,3,5,10,7,6,9,8},		//B,A,C,B,A,B,C,D,C,B,A,B,
/*294*/	 {1,0,4,11,2,3,5,10,8,6,9,7},		//B,A,C,B,A,B,C,D,B,B,A,C,
/*295*/	 {1,0,4,11,2,3,5,10,9,6,8,7},		//B,A,C,B,A,B,C,D,A,B,B,C,
/*296*/	 {1,0,5,2,3,4,6,9,8,7,10,11},		//B,A,C,A,B,C,B,A,B,C,D,B,
/*297*/	 {1,0,5,2,3,4,6,10,9,7,11,8},		//B,A,C,A,B,C,B,D,A,C,B,B,
/*298*/	 {1,0,5,2,3,4,6,10,11,7,9,8},		//B,A,C,A,B,C,B,D,B,C,A,B,
/*299*/	 {1,0,5,2,3,4,6,11,8,7,10,9},		//B,A,C,A,B,C,B,B,B,C,D,A,
/*300*/	 {1,0,5,2,3,4,6,11,9,7,10,8},		//B,A,C,A,B,C,B,B,A,C,D,B,
/*301*/	 {1,0,5,2,3,4,6,11,10,7,9,8},		//B,A,C,A,B,C,B,B,D,C,A,B,
/*302*/	 {1,0,5,11,2,4,6,10,3,7,9,8},		//B,A,C,B,A,C,B,D,B,C,A,B,
/*303*/	 {1,0,6,2,3,5,7,11,4,8,10,9},		//B,A,B,A,B,C,C,B,C,B,D,A,
/*304*/	 {1,0,6,2,4,5,7,3,9,8,10,11},		//B,A,B,A,C,C,C,B,A,B,D,B,
/*305*/	 {1,0,6,2,4,5,7,3,9,8,11,10},		//B,A,B,A,C,C,C,B,A,B,B,D,
/*306*/	 {1,0,6,2,4,5,7,3,10,8,11,9},		//B,A,B,A,C,C,C,B,D,B,B,A,
/*307*/	 {1,0,6,2,4,5,7,3,11,8,10,9},		//B,A,B,A,C,C,C,B,B,B,D,A,
/*308*/	 {1,0,7,2,3,6,8,4,5,9,11,10},		//B,A,C,A,B,B,B,C,C,A,B,D,
/*309*/	 {1,0,7,2,4,6,8,3,5,9,11,10},		//B,A,C,A,C,B,B,B,C,A,B,D,
/*310*/	// {1,0,7,2,5,6,8,3,4,9,11,10},		//B,A,C,A,C,B,B,B,C,A,B,D,309と同型
/*311*/	 {1,0,7,3,2,6,8,4,5,9,11,10},		//B,A,C,B,A,B,B,C,C,A,B,D,
/*312*/	 {1,0,8,2,3,7,9,4,6,10,5,11},		//B,A,B,A,B,C,A,C,B,D,C,B,
/*313*/	 {1,0,8,2,6,7,9,3,5,10,4,11},		//B,A,B,A,B,C,A,B,C,D,C,B,
/*314*/	 {1,0,8,2,10,9,7,3,11,6,4,5},		//B,A,B,A,D,A,C,B,B,B,C,C,
/*315*/	//  {1,0,8,2,11,9,7,3,10,6,4,5},	//B,A,B,A,B,A,C,B,D,B,C,C, 26と同型
/*316*/	 {1,0,8,3,2,7,9,4,6,10,5,11},		//B,A,B,B,A,C,A,C,B,D,C,B,
/*317*/	 {1,0,9,2,3,8,10,4,7,11,5,6},		//B,A,A,A,B,B,D,C,C,B,C,B,
/*318*/	 {1,0,9,2,3,10,8,4,11,7,5,6},		//B,A,A,A,B,D,B,C,B,C,C,B,
/*319*/	 {1,0,9,2,7,8,10,3,6,11,4,5},		//B,A,A,A,C,B,D,B,B,B,C,C,
/*320*/	//  {1,0,9,2,11,10,8,3,4,7,5,6},	//B,A,A,A,B,D,B,B,C,C,C,B, 188と同型
/*321*/	// {1,0,9,2,11,10,8,3,5,7,4,6},		//B,A,A,A,B,D,B,B,C,C,C,B,320と同型
/*322*/	 {1,0,9,2,11,10,8,3,6,7,4,5},		//B,A,A,A,B,D,B,B,B,C,C,C,
/*323*/	 {1,0,9,3,2,8,10,4,7,11,5,6},		//B,A,A,B,A,B,D,C,C,B,C,B,
/*324*/	 {1,0,9,3,2,10,8,4,11,7,5,6},		//B,A,A,B,A,D,B,C,B,C,C,B,
/*325*/	 {1,0,10,2,3,9,11,4,5,8,6,7},		//B,A,D,A,B,A,B,C,C,B,B,C,
/*326*/	 {1,0,10,2,3,9,11,4,6,8,5,7},		//B,A,D,A,B,A,B,C,B,B,C,C,
/*327*/	 {1,0,10,2,3,9,11,4,7,8,5,6},		//B,A,D,A,B,A,B,C,C,B,C,B,
/*328*/	 {1,0,10,2,3,9,11,4,8,7,5,6},		//B,A,D,A,B,A,B,C,B,C,C,B,
/*329*/	// {1,0,10,2,3,9,11,5,4,8,6,7},		//B,A,D,A,B,A,B,C,C,B,B,C,325と同型
/*330*/	 {1,0,10,2,3,11,9,4,5,8,6,7},		//B,A,D,A,B,B,A,C,C,B,B,C,
/*331*/	 {1,0,10,2,3,11,9,4,6,8,5,7},		//B,A,D,A,B,B,A,C,B,B,C,C,
/*332*/	 {1,0,10,2,3,11,9,4,7,8,5,6},		//B,A,D,A,B,B,A,C,C,B,C,B,
/*333*/	// {1,0,10,2,3,11,9,5,4,8,6,7},		//B,A,D,A,B,B,A,C,C,B,B,C,330と同型
/*334*/	 {1,0,10,2,4,9,11,3,5,8,6,7},		//B,A,D,A,C,A,B,B,C,B,B,C,
/*335*/	 {1,0,10,2,4,11,9,3,5,8,6,7},		//B,A,D,A,C,B,A,B,C,B,B,C,
/*336*/	 {1,0,10,2,8,9,11,3,7,6,4,5},		//B,A,D,A,B,A,B,B,C,B,C,C,
/*337*/	 {1,0,10,3,2,9,11,4,5,8,6,7},		//B,A,D,B,A,A,B,C,C,B,B,C,
/*338*/	 {1,0,10,3,2,9,11,4,6,8,5,7},		//B,A,D,B,A,A,B,C,B,B,C,C,
/*339*/	 {1,0,10,3,2,9,11,4,7,8,5,6},		//B,A,D,B,A,A,B,C,C,B,C,B,
/*340*/	 {1,0,10,3,2,9,11,4,8,7,5,6},		//B,A,D,B,A,A,B,C,B,C,C,B,
/*341*/	 {1,0,10,3,2,11,9,4,5,8,6,7},		//B,A,D,B,A,B,A,C,C,B,B,C,
/*342*/	 {1,0,10,3,2,11,9,4,6,8,5,7},		//B,A,D,B,A,B,A,C,B,B,C,C,
/*343*/	 {1,0,10,3,2,11,9,4,7,8,5,6},		//B,A,D,B,A,B,A,C,C,B,C,B,
/*344*/	 {1,0,11,2,3,4,10,6,5,9,7,8},		//B,A,B,A,B,C,D,B,C,A,C,B,
/*345*/	 {1,0,11,2,3,8,10,4,7,9,5,6},		//B,A,B,A,B,B,D,C,C,A,C,B,
/*346*/	 {1,0,11,2,3,9,10,4,5,8,6,7},		//B,A,B,A,B,A,D,C,C,B,B,C,
/*347*/	 {1,0,11,2,3,9,10,4,6,8,5,7},		//B,A,B,A,B,A,D,C,B,B,C,C,
/*348*/	 {1,0,11,2,3,9,10,4,7,8,5,6},		//B,A,B,A,B,A,D,C,C,B,C,B,
/*349*/	 {1,0,11,2,3,9,10,4,8,7,5,6},		//B,A,B,A,B,A,D,C,B,C,C,B,
/*350*/	// {1,0,11,2,3,9,10,5,4,8,6,7},		//B,A,B,A,B,A,D,C,C,B,B,C,346と同型
/*351*/	 {1,0,11,2,3,10,9,4,5,8,6,7},		//B,A,B,A,B,D,A,C,C,B,B,C,
/*352*/	 {1,0,11,2,3,10,9,4,6,8,5,7},		//B,A,B,A,B,D,A,C,B,B,C,C,
/*353*/	 {1,0,11,2,3,10,9,4,7,8,5,6},		//B,A,B,A,B,D,A,C,C,B,C,B,
/*354*/	// {1,0,11,2,3,10,9,5,4,8,6,7},		//B,A,B,A,B,D,A,C,C,B,B,C,351と同型
/*355*/	 {1,0,11,2,4,5,10,3,6,9,7,8},		//B,A,B,A,C,C,D,B,B,A,C,B,
/*356*/	 {1,0,11,2,4,9,10,3,5,8,6,7},		//B,A,B,A,C,A,D,B,C,B,B,C,
/*357*/	 {1,0,11,2,4,10,9,3,5,8,6,7},		//B,A,B,A,C,D,A,B,C,B,B,C,
/*358*/	 {1,0,11,2,7,8,10,3,6,9,4,5},		//B,A,B,A,C,B,D,B,B,A,C,C,
/*359*/	 {1,0,11,2,8,9,10,3,7,6,4,5},		//B,A,B,A,B,A,D,B,C,B,C,C,
/*360*/	 {1,0,11,3,2,8,10,4,7,9,5,6},		//B,A,B,B,A,B,D,C,C,A,C,B,
/*361*/	 {1,0,11,3,2,9,10,4,5,8,6,7},		//B,A,B,B,A,A,D,C,C,B,B,C,
/*362*/	 {1,0,11,3,2,9,10,4,6,8,5,7},		//B,A,B,B,A,A,D,C,B,B,C,C,
/*363*/	 {1,0,11,3,2,9,10,4,7,8,5,6},		//B,A,B,B,A,A,D,C,C,B,C,B,
/*364*/	 {1,0,11,3,2,9,10,4,8,7,5,6},		//B,A,B,B,A,A,D,C,B,C,C,B,
/*365*/	 {1,0,11,3,2,10,9,4,5,8,6,7},		//B,A,B,B,A,D,A,C,C,B,B,C,
/*366*/	 {1,0,11,3,2,10,9,4,6,8,5,7},		//B,A,B,B,A,D,A,C,B,B,C,C,
/*367*/	 {1,0,11,3,2,10,9,4,7,8,5,6},		//B,A,B,B,A,D,A,C,C,B,C,B,
/*368*/	 {2,0,7,3,1,6,8,4,5,9,11,10},		//A,A,C,B,B,B,B,C,C,A,B,D,
/*369*/	 {2,0,8,3,1,7,9,4,6,10,5,11},		//A,A,B,B,B,C,A,C,B,D,C,B,
/*370*/	 {2,0,9,3,1,8,10,4,7,11,5,6},		//A,A,A,B,B,B,D,C,C,B,C,B,
/*371*/	 {2,0,9,3,1,10,8,4,11,7,5,6},		//A,A,A,B,B,D,B,C,B,C,C,B,
/*372*/	 {2,0,10,3,1,9,11,4,5,8,6,7},		//A,A,D,B,B,A,B,C,C,B,B,C,
/*373*/	 {2,0,10,3,1,9,11,4,6,8,5,7},		//A,A,D,B,B,A,B,C,B,B,C,C,
/*374*/	 {2,0,10,3,1,9,11,4,7,8,5,6},		//A,A,D,B,B,A,B,C,C,B,C,B,
/*375*/	 {2,0,10,3,1,9,11,4,8,7,5,6},		//A,A,D,B,B,A,B,C,B,C,C,B,
/*376*/	 {2,0,10,3,1,11,9,4,5,8,6,7},		//A,A,D,B,B,B,A,C,C,B,B,C,
/*377*/	 {2,0,10,3,1,11,9,4,6,8,5,7},		//A,A,D,B,B,B,A,C,B,B,C,C,
/*378*/	 {2,0,10,3,1,11,9,4,7,8,5,6},		//A,A,D,B,B,B,A,C,C,B,C,B,
/*379*/	 {2,0,11,3,1,8,10,4,7,9,5,6},		//A,A,B,B,B,B,D,C,C,A,C,B,
/*380*/	 {2,0,11,3,1,9,10,4,5,8,6,7},		//A,A,B,B,B,A,D,C,C,B,B,C,
/*381*/	 {2,0,11,3,1,9,10,4,6,8,5,7},		//A,A,B,B,B,A,D,C,B,B,C,C,
/*382*/	 {2,0,11,3,1,9,10,4,7,8,5,6},		//A,A,B,B,B,A,D,C,C,B,C,B,
/*383*/	 {2,0,11,3,1,9,10,4,8,7,5,6},		//A,A,B,B,B,A,D,C,B,C,C,B,
/*384*/	//  {2,0,11,3,1,10,9,4,5,8,6,7},	//10,A,B,B,B,D,A,C,C,B,B,C, 187と同型
/*385*/	 {2,0,11,3,1,10,9,4,6,8,5,7},		//A,A,B,B,B,D,A,C,B,B,C,C,
/*386*/	 {2,0,11,3,1,10,9,4,7,8,5,6},		//A,A,B,B,B,D,A,C,C,B,C,B,
/*387*/	 {3,0,11,4,2,1,10,5,6,9,7,8},		//B,A,B,C,A,B,D,C,B,A,C,B,
/*388*/	 {3,0,11,4,2,1,10,5,7,9,6,8},		//B,A,B,C,A,B,D,C,C,A,B,B,
/*389*/	 {3,0,11,4,2,1,10,5,8,9,6,7},		//B,A,B,C,A,B,D,C,B,A,B,C,
/*390*/	 {4,0,1,5,3,2,11,6,7,10,8,9},		//C,A,B,C,B,A,B,B,C,D,B,A,
/*391*/	 {4,0,1,5,3,2,11,6,8,10,7,9},		//C,A,B,C,B,A,B,B,B,D,C,A,
/*392*/	 {4,0,1,5,3,2,11,6,9,10,7,8},		//C,A,B,C,B,A,B,B,A,D,C,B,
/*393*/	 {4,0,11,5,3,1,10,6,2,9,7,8},		//C,A,B,C,B,B,D,B,A,A,C,B,
/*394*/	 {5,0,1,6,4,2,11,7,3,10,8,9},		//C,A,B,B,C,A,B,C,B,D,B,A,
/*395*/	 {5,0,1,6,4,3,2,7,8,9,11,10},		//C,A,B,B,C,B,A,C,B,A,B,D,
/*396*/	 {5,0,1,6,4,3,2,7,8,11,9,10},		//C,A,B,B,C,B,A,C,B,B,A,D,
/*397*/	 {5,0,1,6,4,3,2,7,9,10,8,11},		//C,A,B,B,C,B,A,C,A,D,B,B,
/*398*/	 {5,0,1,6,4,3,2,7,9,11,8,10},		//C,A,B,B,C,B,A,C,A,B,B,D,
/*399*/	 {5,0,1,6,4,3,2,7,10,11,8,9},		//C,A,B,B,C,B,A,C,D,B,B,A,
/*400*/	 {5,0,1,6,4,3,2,7,11,10,8,9},		//C,A,B,B,C,B,A,C,B,D,B,A,
/*401*/	 {6,0,1,7,5,3,2,8,4,11,9,10},		//B,A,B,C,C,B,A,B,C,B,A,D,
/*402*/	 {6,0,1,7,5,4,2,8,9,3,10,11},		//B,A,B,C,C,C,A,B,A,B,D,B,
/*403*/	 {6,0,1,7,5,4,2,8,9,3,11,10},		//B,A,B,C,C,C,A,B,A,B,B,D,
/*404*/	 {6,0,1,7,5,4,2,8,10,3,9,11},		//B,A,B,C,C,C,A,B,D,B,A,B,
/*405*/	 {6,0,1,7,5,4,2,8,11,3,9,10},		//B,A,B,C,C,C,A,B,B,B,A,D,
/*406*/	 {7,0,1,8,6,2,3,9,5,4,10,11},		//C,A,B,B,B,A,B,A,C,C,D,B,
/*407*/	 {7,0,1,8,6,3,2,9,5,4,10,11},		//C,A,B,B,B,B,A,A,C,C,D,B,
/*408*/	 {7,0,1,8,6,4,2,9,5,3,10,11},		//C,A,B,B,B,C,A,A,C,B,D,B,
/*409*/	// {7,0,1,8,6,5,2,9,4,3,10,11},		//C,A,B,B,B,C,A,A,C,B,D,B,408と同型
/*410*/	 {7,0,2,8,6,1,3,9,5,4,10,11},		//C,A,A,B,B,B,B,A,C,C,D,B,
/*411*/	 {8,0,1,7,9,10,2,6,11,3,5,4},		//B,A,B,C,A,D,A,B,B,B,C,C,
/*412*/	//  {8,0,1,7,9,11,2,6,10,3,5,4},	//B,A,B,C,A,B,A,B,D,B,C,C, 26と同型
/*413*/	 {8,0,1,9,7,2,3,10,6,4,11,5},		//B,A,B,A,C,A,B,D,B,C,B,C,
/*414*/	 {8,0,1,9,7,3,2,10,6,4,11,5},		//B,A,B,A,C,B,A,D,B,C,B,C,
/*415*/	 {8,0,1,9,7,6,2,10,5,3,11,4},		//B,A,B,A,C,B,A,D,C,B,B,C,
/*416*/	 {8,0,2,9,7,1,3,10,6,4,11,5},		//B,A,A,A,C,B,B,D,B,C,B,C,
/*417*/	 {9,0,1,8,10,2,3,7,11,4,6,5},		//A,A,B,B,D,A,B,C,B,C,B,C,
/*418*/	 {9,0,1,8,10,3,2,7,11,4,6,5},		//A,A,B,B,D,B,A,C,B,C,B,C,
/*419*/	//  {9,0,1,8,10,11,2,7,4,3,6,5},	//10,A,B,B,D,B,A,C,C,B,B,C, 188と同型
/*420*/	// {9,0,1,8,10,11,2,7,5,3,6,4},		//A,A,B,B,D,B,A,C,C,B,B,C,419と同型
/*421*/	 {9,0,1,8,10,11,2,7,6,3,5,4},		//A,A,B,B,D,B,A,C,B,B,C,C,
/*422*/	 {9,0,1,10,8,2,3,11,7,4,6,5},		//A,A,B,D,B,A,B,B,C,C,B,C,
/*423*/	 {9,0,1,10,8,3,2,11,7,4,6,5},		//A,A,B,D,B,B,A,B,C,C,B,C,
/*424*/	 {9,0,1,10,8,7,2,11,6,3,5,4},		//A,A,B,D,B,C,A,B,B,B,C,C,
/*425*/	 {9,0,2,8,10,1,3,7,11,4,6,5},		//A,A,A,B,D,B,B,C,B,C,B,C,
/*426*/	 {9,0,2,10,8,1,3,11,7,4,6,5},		//A,A,A,D,B,B,B,B,C,C,B,C,
/*427*/	 {10,0,1,9,11,2,3,8,5,4,7,6},		//D,A,B,A,B,A,B,B,C,C,C,B,
/*428*/	 {10,0,1,9,11,2,3,8,6,4,7,5},		//D,A,B,A,B,A,B,B,B,C,C,C,
/*429*/	 {10,0,1,9,11,2,3,8,7,4,6,5},		//D,A,B,A,B,A,B,B,C,C,B,C,
/*430*/	 {10,0,1,9,11,3,2,8,4,5,7,6},		//D,A,B,A,B,B,A,B,C,C,C,B,
/*431*/	// {10,0,1,9,11,3,2,8,5,4,7,6},		//D,A,B,A,B,B,A,B,C,C,C,B,430と同型
/*432*/	 {10,0,1,9,11,3,2,8,6,4,7,5},		//D,A,B,A,B,B,A,B,B,C,C,C,
/*433*/	 {10,0,1,9,11,3,2,8,7,4,6,5},		//D,A,B,A,B,B,A,B,C,C,B,C,
/*434*/	 {10,0,1,9,11,4,2,8,5,3,7,6},		//D,A,B,A,B,C,A,B,C,B,C,B,
/*435*/	 {10,0,1,11,9,2,3,7,8,4,6,5},		//D,A,B,B,A,A,B,C,B,C,B,C,
/*436*/	 {10,0,1,11,9,2,3,8,5,4,7,6},		//D,A,B,B,A,A,B,B,C,C,C,B,
/*437*/	 {10,0,1,11,9,2,3,8,6,4,7,5},		//D,A,B,B,A,A,B,B,B,C,C,C,
/*438*/	 {10,0,1,11,9,2,3,8,7,4,6,5},		//D,A,B,B,A,A,B,B,C,C,B,C,
/*439*/	 {10,0,1,11,9,3,2,7,8,4,6,5},		//D,A,B,B,A,B,A,C,B,C,B,C,
/*440*/	 {10,0,1,11,9,3,2,8,4,5,7,6},		//D,A,B,B,A,B,A,B,C,C,C,B,
/*441*/	// {10,0,1,11,9,3,2,8,5,4,7,6},		//D,A,B,B,A,B,A,B,C,C,C,B,440と同型
/*442*/	 {10,0,1,11,9,3,2,8,6,4,7,5},		//D,A,B,B,A,B,A,B,B,C,C,C,
/*443*/	 {10,0,1,11,9,3,2,8,7,4,6,5},		//D,A,B,B,A,B,A,B,C,C,B,C,
/*444*/	 {10,0,1,11,9,4,2,8,5,3,7,6},		//D,A,B,B,A,C,A,B,C,B,C,B,
/*445*/	 {10,0,1,11,9,8,2,6,7,3,5,4},		//D,A,B,B,A,B,A,B,C,B,C,C,
/*446*/	 {10,0,2,9,11,1,3,8,5,4,7,6},		//D,A,A,A,B,B,B,B,C,C,C,B,
/*447*/	 {10,0,2,9,11,1,3,8,6,4,7,5},		//D,A,A,A,B,B,B,B,B,C,C,C,
/*448*/	 {10,0,2,9,11,1,3,8,7,4,6,5},		//D,A,A,A,B,B,B,B,C,C,B,C,
/*449*/	 {10,0,2,11,9,1,3,7,8,4,6,5},		//D,A,A,B,A,B,B,C,B,C,B,C,
/*450*/	 {10,0,2,11,9,1,3,8,5,4,7,6},		//D,A,A,B,A,B,B,B,C,C,C,B,
/*451*/	 {10,0,2,11,9,1,3,8,6,4,7,5},		//D,A,A,B,A,B,B,B,B,C,C,C,
/*452*/	 {10,0,2,11,9,1,3,8,7,4,6,5},		//D,A,A,B,A,B,B,B,C,C,B,C,
/*453*/	 {11,0,1,9,10,2,3,8,5,4,7,6},		//B,A,B,A,D,A,B,B,C,C,C,B,
/*454*/	 {11,0,1,9,10,2,3,8,6,4,7,5},		//B,A,B,A,D,A,B,B,B,C,C,C,
/*455*/	 {11,0,1,9,10,2,3,8,7,4,6,5},		//B,A,B,A,D,A,B,B,C,C,B,C,
/*456*/	 {11,0,1,9,10,3,2,8,4,5,7,6},		//B,A,B,A,D,B,A,B,C,C,C,B,
/*457*/	// {11,0,1,9,10,3,2,8,5,4,7,6},		//B,A,B,A,D,B,A,B,C,C,C,B,456と同型
/*458*/	 {11,0,1,9,10,3,2,8,6,4,7,5},		//B,A,B,A,D,B,A,B,B,C,C,C,
/*459*/	 {11,0,1,9,10,3,2,8,7,4,6,5},		//B,A,B,A,D,B,A,B,C,C,B,C,
/*460*/	 {11,0,1,9,10,4,2,8,5,3,7,6},		//B,A,B,A,D,C,A,B,C,B,C,B,
/*461*/	 {11,0,1,10,4,3,2,9,5,6,8,7},		//B,A,B,D,C,B,A,A,C,B,B,C,
/*462*/	 {11,0,1,10,5,4,2,9,6,3,8,7},		//B,A,B,D,C,C,A,A,B,B,B,C,
/*463*/	 {11,0,1,10,8,2,3,9,7,4,6,5},		//B,A,B,D,B,A,B,A,C,C,B,C,
/*464*/	 {11,0,1,10,8,3,2,9,7,4,6,5},		//B,A,B,D,B,B,A,A,C,C,B,C,
/*465*/	 {11,0,1,10,8,7,2,9,6,3,5,4},		//B,A,B,D,B,C,A,A,B,B,C,C,
/*466*/	 {11,0,1,10,9,2,3,7,8,4,6,5},		//B,A,B,D,A,A,B,C,B,C,B,C,
/*467*/	 {11,0,1,10,9,2,3,8,5,4,7,6},		//B,A,B,D,A,A,B,B,C,C,C,B,
/*468*/	 {11,0,1,10,9,2,3,8,6,4,7,5},		//B,A,B,D,A,A,B,B,B,C,C,C,
/*469*/	 {11,0,1,10,9,2,3,8,7,4,6,5},		//B,A,B,D,A,A,B,B,C,C,B,C,
/*470*/	 {11,0,1,10,9,3,2,7,8,4,6,5},		//B,A,B,D,A,B,A,C,B,C,B,C,
/*471*/	 {11,0,1,10,9,3,2,8,4,5,7,6},		//B,A,B,D,A,B,A,B,C,C,C,B,
/*472*/	// {11,0,1,10,9,3,2,8,5,4,7,6},		//B,A,B,D,A,B,A,B,C,C,C,B,471と同型
/*473*/	 {11,0,1,10,9,3,2,8,6,4,7,5},		//B,A,B,D,A,B,A,B,B,C,C,C,
/*474*/	 {11,0,1,10,9,3,2,8,7,4,6,5},		//B,A,B,D,A,B,A,B,C,C,B,C,
/*475*/	 {11,0,1,10,9,4,2,8,5,3,7,6},		//B,A,B,D,A,C,A,B,C,B,C,B,
/*476*/	 {11,0,1,10,9,8,2,6,7,3,5,4},		//B,A,B,D,A,B,A,B,C,B,C,C,
/*477*/	//  {11,0,2,9,10,1,3,8,5,4,7,6},	//B,A,A,A,D,B,B,B,C,C,C,B, 187と同型
/*478*/	 {11,0,2,9,10,1,3,8,6,4,7,5},		//B,A,A,A,D,B,B,B,B,C,C,C,
/*479*/	 {11,0,2,9,10,1,3,8,7,4,6,5},		//B,A,A,A,D,B,B,B,C,C,B,C,
/*480*/	 {11,0,2,10,8,1,3,9,7,4,6,5},		//B,A,A,D,B,B,B,A,C,C,B,C,
/*481*/	 {11,0,2,10,9,1,3,7,8,4,6,5},		//B,A,A,D,A,B,B,C,B,C,B,C,
/*482*/	 {11,0,2,10,9,1,3,8,5,4,7,6},		//B,A,A,D,A,B,B,B,C,C,C,B,
/*483*/	 {11,0,2,10,9,1,3,8,6,4,7,5},		//B,A,A,D,A,B,B,B,B,C,C,C,
/*484*/	 {11,0,2,10,9,1,3,8,7,4,6,5},		//B,A,A,D,A,B,B,B,C,C,B,C,
/*485*/	 {11,0,3,10,1,2,4,9,6,5,8,7},		//B,A,B,D,B,A,C,A,B,C,B,C,
/*486*/	 {11,0,3,10,1,2,4,9,7,5,8,6},		//B,A,B,D,B,A,C,A,C,C,B,B,
/*487*/	 {11,0,3,10,1,2,4,9,8,5,7,6},		//B,A,B,D,B,A,C,A,B,C,C,B,
/*488*/	 {11,0,4,10,1,3,5,9,2,6,8,7},		//B,A,C,D,B,B,C,A,A,B,B,C,
/*489*/	 {1,2,3,11,0,4,5,10,7,6,9,8},		//B,A,B,B,A,C,C,D,C,B,A,B,
/*490*/	 {1,2,3,11,0,4,5,10,8,6,9,7},		//B,A,B,B,A,C,C,D,B,B,A,C,
/*491*/	 {1,2,3,11,0,4,5,10,9,6,8,7},		//B,A,B,B,A,C,C,D,A,B,B,C,
/*492*/	 {1,2,3,11,0,5,4,10,6,7,9,8},		//B,A,B,B,A,C,C,D,B,C,A,B,
/*493*/	// {1,2,3,11,0,5,4,10,7,6,9,8},		//B,A,B,B,A,C,C,D,C,B,A,B,489と同型
/*494*/	// {1,2,3,11,0,5,4,10,8,6,9,7},		//B,A,B,B,A,C,C,D,B,B,A,C,490と同型
/*495*/	// {1,2,3,11,0,5,4,10,9,6,8,7},		//B,A,B,B,A,C,C,D,A,B,B,C,491と同型
/*496*/	 {1,2,3,11,0,6,4,10,7,5,9,8},		//B,A,B,B,A,B,C,D,C,C,A,B,
/*497*/	// {1,2,4,11,0,3,5,10,7,6,9,8},		//B,A,C,B,A,B,C,D,C,B,A,B,293と同型
/*498*/	// {1,2,4,11,0,3,5,10,8,6,9,7},		//B,A,C,B,A,B,C,D,B,B,A,C,294と同型
/*499*/	// {1,2,4,11,0,3,5,10,9,6,8,7},		//B,A,C,B,A,B,C,D,A,B,B,C,295と同型
/*500*/	 {1,6,7,2,0,5,8,3,4,9,11,10},		//B,B,C,A,A,C,B,B,C,A,B,D,
/*501*/	 {1,7,8,2,0,6,9,3,5,10,4,11},		//B,C,B,A,A,B,A,B,C,D,C,B,
/*502*/	 {1,8,9,2,0,7,10,3,6,11,4,5},		//B,B,A,A,A,C,D,B,B,B,C,C,
/*503*/	//  {1,9,8,2,0,10,7,3,11,6,4,5},	//B,A,B,A,A,D,C,B,B,B,C,C, 124と同型
/*504*/	 {1,9,10,2,0,8,11,3,4,7,5,6},		//B,A,D,A,A,B,B,B,C,C,C,B,
/*505*/	// {1,9,10,2,0,8,11,3,5,7,4,6},		//B,A,D,A,A,B,B,B,C,C,C,B,504と同型
/*506*/	 {1,9,10,2,0,8,11,3,6,7,4,5},		//B,A,D,A,A,B,B,B,B,C,C,C,
/*507*/	 {1,9,10,2,0,8,11,3,7,6,4,5},		//B,A,D,A,A,B,B,B,C,B,C,C,
/*508*/	 {1,10,9,2,0,11,8,3,4,7,5,6},		//B,D,A,A,A,B,B,B,C,C,C,B,
/*509*/	// {1,10,9,2,0,11,8,3,5,7,4,6},		//B,D,A,A,A,B,B,B,C,C,C,B,508と同型
/*510*/	 {1,10,9,2,0,11,8,3,6,7,4,5},		//B,D,A,A,A,B,B,B,B,C,C,C,
/*511*/	 {1,10,11,2,0,9,8,3,4,7,5,6},		//B,D,B,A,A,A,B,B,C,C,C,B,
/*512*/	// {1,10,11,2,0,9,8,3,5,7,4,6},		//B,D,B,A,A,A,B,B,C,C,C,B,511と同型
/*513*/	 {1,10,11,2,0,9,8,3,6,7,4,5},		//B,D,B,A,A,A,B,B,B,C,C,C,
/*514*/	 {1,11,9,2,0,10,8,3,4,7,5,6},		//B,B,A,A,A,D,B,B,C,C,C,B,
/*515*/	// {1,11,9,2,0,10,8,3,5,7,4,6},		//B,B,A,A,A,D,B,B,C,C,C,B,514と同型
/*516*/	 {1,11,9,2,0,10,8,3,6,7,4,5},		//B,B,A,A,A,D,B,B,B,C,C,C,
/*517*/	 {1,11,10,2,0,7,9,3,6,8,4,5},		//B,B,D,A,A,C,A,B,B,B,C,C,
/*518*/	 {1,11,10,2,0,8,9,3,4,7,5,6},		//B,B,D,A,A,B,A,B,C,C,C,B,
/*519*/	// {1,11,10,2,0,8,9,3,5,7,4,6},		//B,B,D,A,A,B,A,B,C,C,C,B,518と同型
/*520*/	 {1,11,10,2,0,8,9,3,6,7,4,5},		//B,B,D,A,A,B,A,B,B,C,C,C,
/*521*/	 {1,11,10,2,0,8,9,3,7,6,4,5},		//B,B,D,A,A,B,A,B,C,B,C,C,
/*522*/	 {1,11,10,2,0,9,8,3,4,7,5,6},		//B,B,D,A,A,A,B,B,C,C,C,B,
/*523*/	// {1,11,10,2,0,9,8,3,5,7,4,6},		//B,B,D,A,A,A,B,B,C,C,C,B,522と同型
/*524*/	 {1,11,10,2,0,9,8,3,6,7,4,5},		//B,B,D,A,A,A,B,B,B,C,C,C,
/*525*/	// {2,1,7,3,0,6,8,4,5,9,11,10},		//A,B,C,B,A,B,B,C,C,A,B,D,73と同型
/*526*/	// {2,1,8,3,0,7,9,4,6,10,5,11},		//A,B,B,B,A,C,A,C,B,D,C,B,74と同型
/*527*/	// {2,1,9,3,0,8,10,4,7,11,5,6},		//A,B,A,B,A,B,D,C,C,B,C,B,75と同型
/*528*/	// {2,1,9,3,0,10,8,4,11,7,5,6},		//A,B,A,B,A,D,B,C,B,C,C,B,76と同型
/*529*/	// {2,1,10,3,0,9,11,4,5,8,6,7},		//A,B,D,B,A,A,B,C,C,B,B,C,77と同型
/*530*/	// {2,1,10,3,0,9,11,4,6,8,5,7},		//A,B,D,B,A,A,B,C,B,B,C,C,78と同型
/*531*/	// {2,1,10,3,0,9,11,4,7,8,5,6},		//A,B,D,B,A,A,B,C,C,B,C,B,79と同型
/*532*/	// {2,1,10,3,0,9,11,4,8,7,5,6},		//A,B,D,B,A,A,B,C,B,C,C,B,80と同型
/*533*/	// {2,1,10,3,0,11,9,4,5,8,6,7},		//A,B,D,B,A,B,A,C,C,B,B,C,81と同型
/*534*/	// {2,1,10,3,0,11,9,4,6,8,5,7},		//A,B,D,B,A,B,A,C,B,B,C,C,82と同型
/*535*/	// {2,1,10,3,0,11,9,4,7,8,5,6},		//A,B,D,B,A,B,A,C,C,B,C,B,83と同型
/*536*/	// {2,1,11,3,0,8,10,4,7,9,5,6},		//A,B,B,B,A,B,D,C,C,A,C,B,84と同型
/*537*/	// {2,1,11,3,0,9,10,4,5,8,6,7},		//A,B,B,B,A,A,D,C,C,B,B,C,85と同型
/*538*/	// {2,1,11,3,0,9,10,4,6,8,5,7},		//A,B,B,B,A,A,D,C,B,B,C,C,86と同型
/*539*/	// {2,1,11,3,0,9,10,4,7,8,5,6},		//A,B,B,B,A,A,D,C,C,B,C,B,87と同型
/*540*/	// {2,1,11,3,0,9,10,4,8,7,5,6},		//A,B,B,B,A,A,D,C,B,C,C,B,88と同型
/*541*/	// {2,1,11,3,0,10,9,4,5,8,6,7},		//A,B,B,B,A,D,A,C,C,B,B,C,89と同型
/*542*/	// {2,1,11,3,0,10,9,4,6,8,5,7},		//A,B,B,B,A,D,A,C,B,B,C,C,90と同型
/*543*/	// {2,1,11,3,0,10,9,4,7,8,5,6},		//A,B,B,B,A,D,A,C,C,B,C,B,91と同型
/*544*/	// {2,3,4,1,0,5,6,9,8,7,10,11},		//A,B,C,B,A,C,B,A,B,C,D,B,107と同型
/*545*/	// {2,3,4,1,0,5,6,10,9,7,11,8},		//A,B,C,B,A,C,B,D,A,C,B,B,108と同型
/*546*/	// {2,3,4,1,0,5,6,10,11,7,9,8},		//A,B,C,B,A,C,B,D,B,C,A,B,72と同型
/*547*/	// {2,3,4,1,0,5,6,11,8,7,10,9},		//A,B,C,B,A,C,B,B,B,C,D,A,110と同型
/*548*/	// {2,3,4,1,0,5,6,11,9,7,10,8},		//A,B,C,B,A,C,B,B,A,C,D,B,111と同型
/*549*/	// {2,3,4,1,0,5,6,11,10,7,9,8},		//A,B,C,B,A,C,B,B,D,C,A,B,112と同型
/*550*/	// {2,3,4,1,0,5,11,7,6,10,8,9},		//A,B,C,B,A,C,B,C,B,D,B,A,113と同型
/*551*/	// {2,3,4,1,0,6,5,8,7,11,9,10},		//A,B,C,B,A,B,C,B,C,B,A,D,114と同型
/*552*/	// {2,3,4,1,0,6,5,9,8,7,10,11},		//A,B,C,B,A,B,C,A,B,C,D,B,115と同型
/*553*/	// {2,3,4,1,0,6,5,10,9,7,11,8},		//A,B,C,B,A,B,C,D,A,C,B,B,116と同型
/*554*/	// {2,3,4,1,0,6,5,10,11,7,9,8},		//A,B,C,B,A,B,C,D,B,C,A,B,117と同型
/*555*/	// {2,3,4,1,0,6,5,11,7,8,10,9},		//A,B,C,B,A,B,C,B,C,B,D,A,118と同型
/*556*/	// {2,3,4,1,0,6,5,11,8,7,10,9},		//A,B,C,B,A,B,C,B,B,C,D,A,119と同型
/*557*/	// {2,3,4,1,0,6,5,11,9,7,10,8},		//A,B,C,B,A,B,C,B,A,C,D,B,120と同型
/*558*/	// {2,3,4,1,0,6,5,11,10,7,9,8},		//A,B,C,B,A,B,C,B,D,C,A,B,121と同型
/*559*/	// {2,3,4,1,0,7,5,9,8,6,10,11},		//A,B,C,B,A,C,C,A,B,B,D,B,122と同型
/*560*/	// {2,3,4,1,0,7,5,11,8,6,10,9},		//A,B,C,B,A,C,C,B,B,B,D,A,123と同型
/*561*/	// {2,3,4,1,0,11,5,9,10,6,8,7},		//A,B,C,B,A,B,C,A,D,B,B,C,124と同型
/*562*/	// {2,3,5,1,0,4,6,9,8,7,10,11},		//A,B,C,B,A,C,B,A,B,C,D,B,107と同型
/*563*/	// {2,3,5,1,0,4,6,10,9,7,11,8},		//A,B,C,B,A,C,B,D,A,C,B,B,108と同型
/*564*/	// {2,3,5,1,0,4,6,10,11,7,9,8},		//A,B,C,B,A,C,B,D,B,C,A,B,72と同型
/*565*/	// {2,3,5,1,0,4,6,11,8,7,10,9},		//A,B,C,B,A,C,B,B,B,C,D,A,110と同型
/*566*/	// {2,3,5,1,0,4,6,11,9,7,10,8},		//A,B,C,B,A,C,B,B,A,C,D,B,111と同型
/*567*/	// {2,3,5,1,0,4,6,11,10,7,9,8},		//A,B,C,B,A,C,B,B,D,C,A,B,112と同型
/*568*/	// {2,3,11,1,0,4,10,6,5,9,7,8},		//A,B,B,B,A,C,D,B,C,A,C,B,134と同型
/*569*/	// {3,2,11,4,0,1,10,5,6,9,7,8},		//B,A,B,C,A,B,D,C,B,A,C,B,387と同型
/*570*/	// {3,2,11,4,0,1,10,5,7,9,6,8},		//B,A,B,C,A,B,D,C,C,A,B,B,388と同型
/*571*/	// {3,2,11,4,0,1,10,5,8,9,6,7},		//B,A,B,C,A,B,D,C,B,A,B,C,389と同型
/*572*/	 {3,4,5,2,0,6,7,1,9,8,10,11},		//B,C,C,A,A,B,C,B,A,B,D,B,
/*573*/	 {3,4,5,2,0,6,7,1,9,8,11,10},		//B,C,C,A,A,B,C,B,A,B,B,D,
/*574*/	 {3,4,5,2,0,6,7,1,10,8,11,9},		//B,C,C,A,A,B,C,B,D,B,B,A,
/*575*/	 {3,4,5,2,0,6,7,1,11,8,10,9},		//B,C,C,A,A,B,C,B,B,B,D,A,
/*576*/	 {3,4,5,2,0,6,11,1,7,10,8,9},		//B,C,C,A,A,B,B,B,C,D,B,A,
/*577*/	 {3,4,5,2,0,7,6,1,8,9,11,10},		//B,C,C,A,A,C,B,B,B,A,B,D,
/*578*/	 {3,4,5,2,0,7,6,1,8,11,9,10},		//B,C,C,A,A,C,B,B,B,B,A,D,
/*579*/	 {3,4,5,2,0,7,6,1,9,8,10,11},		//B,C,C,A,A,C,B,B,A,B,D,B,
/*580*/	 {3,4,5,2,0,7,6,1,9,8,11,10},		//B,C,C,A,A,C,B,B,A,B,B,D,
/*581*/	 {3,4,5,2,0,7,6,1,10,8,11,9},		//B,C,C,A,A,C,B,B,D,B,B,A,
/*582*/	 {3,4,5,2,0,7,6,1,11,8,10,9},		//B,C,C,A,A,C,B,B,B,B,D,A,
/*583*/	 {3,4,5,2,0,8,6,1,9,7,10,11},		//B,C,C,A,A,B,B,B,A,C,D,B,
/*584*/	 {3,4,5,2,0,8,6,1,9,7,11,10},		//B,C,C,A,A,B,B,B,A,C,B,D,
/*585*/	 {3,4,5,2,0,11,6,1,10,7,9,8},		//B,C,C,A,A,B,B,B,D,C,A,B,
/*586*/	 {3,4,6,2,0,5,7,1,9,8,10,11},		//B,C,B,A,A,C,C,B,A,B,D,B,
/*587*/	 {3,4,6,2,0,5,7,1,9,8,11,10},		//B,C,B,A,A,C,C,B,A,B,B,D,
/*588*/	 {3,4,6,2,0,5,7,1,10,8,11,9},		//B,C,B,A,A,C,C,B,D,B,B,A,
/*589*/	 {3,4,6,2,0,5,7,1,11,8,10,9},		//B,C,B,A,A,C,C,B,B,B,D,A,
/*590*/	 {3,4,11,2,0,5,10,1,6,9,7,8},		//B,C,B,A,A,C,D,B,B,A,C,B,
/*591*/	 {4,3,2,5,0,1,11,6,7,10,8,9},		//C,B,A,C,A,B,B,B,C,D,B,A,
/*592*/	 {4,3,2,5,0,1,11,6,8,10,7,9},		//C,B,A,C,A,B,B,B,B,D,C,A,
/*593*/	 {4,3,2,5,0,1,11,6,9,10,7,8},		//C,B,A,C,A,B,B,B,A,D,C,B,
/*594*/	 {4,3,11,5,0,2,10,6,1,9,7,8},		//C,B,B,C,A,A,D,B,B,A,C,B,
/*595*/	 {4,5,6,3,0,7,8,2,1,9,11,10},		//C,C,B,B,A,C,B,A,B,A,B,D,
/*596*/	 {4,5,6,3,0,8,7,2,1,9,11,10},		//C,C,B,B,A,B,C,A,B,A,B,D,
/*597*/	 {4,5,7,3,0,6,8,2,1,9,11,10},		//C,C,C,B,A,B,B,A,B,A,B,D,
/*598*/	 {5,4,3,6,0,1,2,7,8,9,11,10},		//C,C,B,B,A,B,A,C,B,A,B,D,
/*599*/	 {5,4,3,6,0,1,2,7,8,11,9,10},		//C,C,B,B,A,B,A,C,B,B,A,D,
/*600*/	 {5,4,3,6,0,1,2,7,9,10,8,11},		//C,C,B,B,A,B,A,C,A,D,B,B,
/*601*/	 {5,4,3,6,0,1,2,7,9,11,8,10},		//C,C,B,B,A,B,A,C,A,B,B,D,
/*602*/	 {5,4,3,6,0,1,2,7,10,11,8,9},		//C,C,B,B,A,B,A,C,D,B,B,A,
/*603*/	 {5,4,3,6,0,1,2,7,11,10,8,9},		//C,C,B,B,A,B,A,C,B,D,B,A,
/*604*/	 {5,4,3,6,0,2,11,7,1,10,8,9},		//C,C,B,B,A,A,B,C,B,D,B,A,
/*605*/	 {5,6,7,4,0,1,8,3,2,9,11,10},		//C,B,C,C,A,B,B,B,A,A,B,D,
/*606*/	 {5,6,7,4,0,8,9,3,1,10,2,11},		//C,B,C,C,A,B,A,B,B,D,A,B,
/*607*/	 {5,6,7,4,0,9,8,3,1,10,2,11},		//C,B,C,C,A,A,B,B,B,D,A,B,
/*608*/	 {5,6,8,4,0,7,9,3,1,10,2,11},		//C,B,B,C,A,C,A,B,B,D,A,B,
/*609*/	 {6,5,4,7,0,1,3,8,9,2,10,11},		//B,C,C,C,A,B,B,B,A,A,D,B,
/*610*/	 {6,5,4,7,0,1,3,8,9,2,11,10},		//B,C,C,C,A,B,B,B,A,A,B,D,
/*611*/	 {6,5,4,7,0,1,3,8,10,2,9,11},		//B,C,C,C,A,B,B,B,D,A,A,B,
/*612*/	 {6,5,4,7,0,1,3,8,11,2,9,10},		//B,C,C,C,A,B,B,B,B,A,A,D,
/*613*/	 {6,5,4,7,0,2,3,8,1,11,9,10},		//B,C,C,C,A,A,B,B,B,B,A,D,
/*614*/	 {6,7,8,5,0,1,9,4,2,10,3,11},		//B,C,B,C,A,B,A,C,A,D,B,B,
/*615*/	 {6,7,8,5,0,9,10,4,1,11,3,2},		//B,C,B,C,A,A,D,C,B,B,B,A,
/*616*/	 {6,7,8,5,0,9,11,4,1,10,3,2},		//B,C,B,C,A,A,B,C,B,D,B,A,
/*617*/	 {6,7,8,5,0,10,9,4,1,11,3,2},		//B,C,B,C,A,D,A,C,B,B,B,A,
/*618*/	 {6,7,8,5,0,11,9,4,1,10,3,2},		//B,C,B,C,A,B,A,C,B,D,B,A,
/*619*/	 {6,7,9,5,0,8,10,4,1,11,3,2},		//B,C,A,C,A,B,D,C,B,B,B,A,
/*620*/	 {6,7,11,5,0,8,10,4,1,9,3,2},		//B,C,B,C,A,B,D,C,B,A,B,A,
/*621*/	 {7,6,4,8,0,5,3,9,1,2,10,11},		//C,B,C,B,A,C,B,A,B,A,D,B,
/*622*/	 {7,6,5,8,0,1,4,9,2,3,10,11},		//C,B,C,B,A,B,C,A,A,B,D,B,
/*623*/	 {7,6,5,8,0,2,4,9,1,3,10,11},		//C,B,C,B,A,A,C,A,B,B,D,B,
/*624*/	 {7,6,5,8,0,3,4,9,1,2,10,11},		//C,B,C,B,A,B,C,A,B,A,D,B,
/*625*/	// {7,6,5,8,0,4,3,9,1,2,10,11},		//C,B,C,B,A,C,B,A,B,A,D,B,621と同型
/*626*/	 {7,8,9,6,0,1,10,5,2,11,4,3},		//C,B,A,B,A,B,D,C,A,B,C,B,
/*627*/	 {7,8,9,6,0,10,11,5,1,2,4,3},		//C,B,A,B,A,D,B,C,B,A,C,B,
/*628*/	 {7,8,9,6,0,11,10,5,1,2,4,3},		//C,B,A,B,A,B,D,C,B,A,C,B,
/*629*/	 {7,8,10,6,0,9,11,5,1,2,4,3},		//C,B,D,B,A,A,B,C,B,A,C,B,
/*630*/	 {7,8,11,6,0,9,10,5,1,2,4,3},		//C,B,B,B,A,A,D,C,B,A,C,B,
/*631*/	 {8,7,5,9,0,6,4,10,1,3,11,2},		//B,C,C,A,A,B,C,D,B,B,B,A,
/*632*/	 {8,7,6,9,0,1,5,10,2,4,11,3},		//B,C,B,A,A,B,C,D,A,C,B,B,
/*633*/	 {8,7,6,9,0,4,5,10,1,3,11,2},		//B,C,B,A,A,C,C,D,B,B,B,A,
/*634*/	// {8,7,6,9,0,5,4,10,1,3,11,2},		//B,C,B,A,A,C,C,D,B,B,B,A,633と同型
/*635*/	 {8,9,10,7,0,1,11,6,2,3,5,4},		//B,A,D,C,A,B,B,B,A,B,C,C,
/*636*/	 {8,9,10,7,0,1,11,6,3,2,5,4},		//B,A,D,C,A,B,B,B,B,A,C,C,
/*637*/	 {8,9,10,7,0,1,11,6,4,2,5,3},		//B,A,D,C,A,B,B,B,C,A,C,B,
/*638*/	// {8,9,10,7,0,1,11,6,5,2,4,3},		//B,A,D,C,A,B,B,B,C,A,C,B,637と同型
/*639*/	 {8,9,10,7,0,2,11,6,1,3,5,4},		//B,A,D,C,A,A,B,B,B,B,C,C,
/*640*/	 {9,8,6,10,0,7,5,11,1,4,2,3},		//A,B,B,D,A,C,C,B,B,C,A,B,
/*641*/	 {9,8,7,10,0,1,6,11,2,5,3,4},		//A,B,C,D,A,B,B,B,A,C,B,C,
/*642*/	 {9,8,7,10,0,5,6,11,1,4,2,3},		//A,B,C,D,A,C,B,B,B,C,A,B,
/*643*/	 {9,8,7,10,0,6,5,11,1,4,2,3},		//A,B,C,D,A,B,C,B,B,C,A,B,
/*644*/	 {9,10,11,8,0,1,2,7,4,3,6,5},		//A,D,B,B,A,B,A,C,C,B,B,C,
/*645*/	// {9,10,11,8,0,1,2,7,5,3,6,4},		//A,D,B,B,A,B,A,C,C,B,B,C,644と同型
/*646*/	 {9,10,11,8,0,1,2,7,6,3,5,4},		//A,D,B,B,A,B,A,C,B,B,C,C,
/*647*/	 {9,10,11,8,0,2,3,7,1,4,6,5},		//A,D,B,B,A,A,B,C,B,C,B,C,
/*648*/	 {10,9,7,11,0,8,6,1,2,5,3,4},		//D,A,C,B,A,B,B,B,A,C,B,C,
/*649*/	 {10,9,7,11,0,8,6,1,3,5,2,4},		//D,A,C,B,A,B,B,B,B,C,A,C,
/*650*/	 {10,9,7,11,0,8,6,1,4,5,2,3},		//D,A,C,B,A,B,B,B,C,C,A,B,
/*651*/	 {10,9,7,11,0,8,6,2,1,5,3,4},		//D,A,C,B,A,B,B,A,B,C,B,C,
/*652*/	 {10,9,8,11,0,1,7,3,2,6,4,5},		//D,A,B,B,A,B,C,B,A,B,C,C,
/*653*/	 {10,9,8,11,0,5,7,1,4,6,2,3},		//D,A,B,B,A,C,C,B,C,B,A,B,
/*654*/	 {10,9,8,11,0,6,7,1,2,5,3,4},		//D,A,B,B,A,B,C,B,A,C,B,C,
/*655*/	 {10,9,8,11,0,6,7,1,3,5,2,4},		//D,A,B,B,A,B,C,B,B,C,A,C,
/*656*/	 {10,9,8,11,0,6,7,1,4,5,2,3},		//D,A,B,B,A,B,C,B,C,C,A,B,
/*657*/	// {10,9,8,11,0,6,7,1,5,4,2,3},		//D,A,B,B,A,B,C,B,C,C,A,B,656と同型
/*658*/	 {10,9,8,11,0,6,7,2,1,5,3,4},		//D,A,B,B,A,B,C,A,B,C,B,C,
/*659*/	 {10,9,8,11,0,7,6,1,2,5,3,4},		//D,A,B,B,A,C,B,B,A,C,B,C,
/*660*/	 {10,9,8,11,0,7,6,1,3,5,2,4},		//D,A,B,B,A,C,B,B,B,C,A,C,
/*661*/	 {10,9,8,11,0,7,6,1,4,5,2,3},		//D,A,B,B,A,C,B,B,C,C,A,B,
/*662*/	 {10,9,8,11,0,7,6,2,1,5,3,4},		//D,A,B,B,A,C,B,A,B,C,B,C,
/*663*/	 {10,11,2,9,0,1,3,8,5,4,7,6},		//D,B,A,A,A,B,B,B,C,C,C,B,
/*664*/	 {10,11,2,9,0,1,3,8,6,4,7,5},		//D,B,A,A,A,B,B,B,B,C,C,C,
/*665*/	 {10,11,2,9,0,1,3,8,7,4,6,5},		//D,B,A,A,A,B,B,B,C,C,B,C,
/*666*/	 {10,11,3,9,0,2,4,8,1,5,7,6},		//D,B,B,A,A,A,C,B,B,C,C,B,
/*667*/	 {11,1,2,10,0,3,4,9,6,5,8,7},		//B,B,A,D,A,B,C,A,B,C,B,C,
/*668*/	 {11,1,2,10,0,3,4,9,7,5,8,6},		//B,B,A,D,A,B,C,A,C,C,B,B,
/*669*/	 {11,1,2,10,0,3,4,9,8,5,7,6},		//B,B,A,D,A,B,C,A,B,C,C,B,
/*670*/	 {11,1,2,10,0,4,3,9,5,6,8,7},		//B,B,A,D,A,C,B,A,C,B,B,C,
/*671*/	 {11,1,2,10,0,4,3,9,6,5,8,7},		//B,B,A,D,A,C,B,A,B,C,B,C,
/*672*/	 {11,1,2,10,0,4,3,9,7,5,8,6},		//B,B,A,D,A,C,B,A,C,C,B,B,
/*673*/	 {11,1,2,10,0,4,3,9,8,5,7,6},		//B,B,A,D,A,C,B,A,B,C,C,B,
/*674*/	// {11,1,2,10,0,5,3,9,6,4,8,7},		//B,B,A,D,A,C,B,A,B,C,B,C,671と同型
/*675*/	 {11,1,3,10,0,2,4,9,6,5,8,7},		//B,B,B,D,A,A,C,A,B,C,B,C,
/*676*/	 {11,1,3,10,0,2,4,9,7,5,8,6},		//B,B,B,D,A,A,C,A,C,C,B,B,
/*677*/	 {11,1,3,10,0,2,4,9,8,5,7,6},		//B,B,B,D,A,A,C,A,B,C,C,B,
/*678*/	 {11,2,3,10,0,1,4,9,6,5,8,7},		//B,A,B,D,A,B,C,A,B,C,B,C,
/*679*/	 {11,2,3,10,0,1,4,9,7,5,8,6},		//B,A,B,D,A,B,C,A,C,C,B,B,
/*680*/	 {11,2,3,10,0,1,4,9,8,5,7,6},		//B,A,B,D,A,B,C,A,B,C,C,B,
/*681*/	 {11,3,4,10,0,2,5,9,1,6,8,7},		//B,B,C,D,A,A,C,A,B,B,B,C,
/*682*/	 {11,10,8,1,0,9,7,2,3,6,4,5},		//B,D,B,B,A,A,C,A,B,B,C,C,
/*683*/	 {11,10,8,1,0,9,7,2,4,6,3,5},		//B,D,B,B,A,A,C,A,C,B,B,C,
/*684*/	// {11,10,8,1,0,9,7,2,5,6,3,4},		//B,D,B,B,A,A,C,A,C,B,B,C,683と同型
/*685*/	 {11,10,9,1,0,6,8,2,5,7,3,4},		//B,D,A,B,A,B,B,A,C,C,B,C,
/*686*/	 {11,10,9,1,0,7,8,2,3,6,4,5},		//B,D,A,B,A,C,B,A,B,B,C,C,
/*687*/	 {11,10,9,1,0,7,8,2,4,6,3,5},		//B,D,A,B,A,C,B,A,C,B,B,C,
/*688*/	// {11,10,9,1,0,7,8,2,5,6,3,4},		//B,D,A,B,A,C,B,A,C,B,B,C,687と同型
/*689*/	 {11,10,9,1,0,7,8,2,6,5,3,4},		//B,D,A,B,A,C,B,A,B,C,B,C,
/*690*/	 {11,10,9,1,0,8,7,2,3,6,4,5},		//B,D,A,B,A,B,C,A,B,B,C,C,
/*691*/	 {11,10,9,1,0,8,7,2,4,6,3,5},		//B,D,A,B,A,B,C,A,C,B,B,C,
/*692*/	// {11,10,9,1,0,8,7,2,5,6,3,4},		//B,D,A,B,A,B,C,A,C,B,B,C,691と同型

    };
    public static int[] random()
    {
        int bf = (int)Random.Range(0, data.GetLength(0));
        int[] rtn = {
            data[bf,0],data[bf,1],data[bf, 2],data[bf, 3],
            data[bf,4],data[bf,5],data[bf, 6],data[bf, 7],
            data[bf,8],data[bf,9],data[bf,10],data[bf,11]
        };
        // 開始位置が0の場合のみ左右反転版を考慮する必要がある（それ以外は回転のみ。）
        if (rtn[0] == 0 && (int)Random.Range(0, 2) == 0) rtn = TurnLR(rtn);
        for (int i = 0; i < (int)Random.Range(0, 3); i++) rtn =Rotate(rtn);
        // 前回データがある場合、完全一致するか確認
        if (history != null)
        {
            bool sameFlg = true;
            for (int i = 0; i < history.Length; i++)
            {
                if (history[i] != rtn[i])
                {
                    sameFlg = false;
                    break;
                }
            }
            // 完全一致しているなら取り直し
            if (sameFlg) return random();
        }
        history = rtn;
        return rtn;
    }

    private static int[] TurnLR(int[] a)
    {
        int[] rtn = {
            a[2],a[1],a[0],
            a[6],a[5],a[4],a[3],
            a[9],a[8],a[7],
            a[11],a[10],
        };
        return rtn;
    }
    private static int[] Rotate(int[] a)
    {
        int[] rtn = {
              a[10],a[7],a[3],
            a[11],a[8],a[4],a[0],
              a[9],a[5],a[1],
               a[6],a[2],
        };
        return rtn;
    }

}
